"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBomCode = getBomCode;
const xtrem_client_1 = require("@sage/xtrem-client");
const ui = require("@sage/xtrem-ui");
async function getBomCode(workOrderNumber, page) {
    try {
        const result = (0, xtrem_client_1.extractEdges)(await page.$.graph
            .node('@sage/x3-manufacturing/WorkOrderProductLine')
            .query(ui.queryUtils.edgesSelector({
            bomCode: {
                code: true,
            },
            product: {
                code: true,
            },
        }, {
            filter: {
                workOrder: workOrderNumber,
            },
        }))
            .execute());
        return result[0];
    }
    catch (err) {
        page.$.dialog.message('error', ui.localize('@sage/x3-manufacturing/pages__mobile_tracking___loading_BOM_code_error', 'Error loading BOM code.'), String(err));
        return {
            bomCode: { code: 0 },
            product: { code: '' },
        };
    }
}
//# sourceMappingURL=get-bom-code.js.map