"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEntryTransaction = getEntryTransaction;
const xtrem_client_1 = require("@sage/xtrem-client");
const ui = require("@sage/xtrem-ui");
async function getEntryTransaction(page, trackingType) {
    try {
        const transactions = (0, xtrem_client_1.extractEdges)(await page.$.graph
            .node('@sage/x3-manufacturing/TransactionProductionReporting')
            .query(ui.queryUtils.edgesSelector({
            transaction: true,
            employeeEntry: true,
            unplannedOperations: true,
        }, {
            filter: {
                type: trackingType,
                isActive: true,
            },
        }))
            .execute());
        return transactions.map(transaction => ({
            transaction: transaction.transaction,
            employeeEntry: transaction.employeeEntry,
            unplannedOperations: transaction.unplannedOperations,
        }));
    }
    catch (err) {
        page.$.dialog.message('error', ui.localize('@sage/x3-manufacturing/pages__mobile_tracking___loading_transaction_list_error', 'Error loading transaction list.'), String(err));
        return [];
    }
}
//# sourceMappingURL=get-entry-transaction.js.map