"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getReleaseUOM = getReleaseUOM;
const xtrem_client_1 = require("@sage/xtrem-client");
const ui = require("@sage/xtrem-ui");
/** Function gets the release unit of measure for a given work order number of a given page ( i.e. passing the 'this' keyword ) -
 *      Returns the release unit of measure */
async function getReleaseUOM(workOrderNumber, page) {
    try {
        const result = (0, xtrem_client_1.extractEdges)(await page.$.graph
            .node('@sage/x3-manufacturing/WorkOrderProductLine')
            .query(ui.queryUtils.edgesSelector({
            releaseUnit: { code: true },
        }, {
            filter: {
                workOrder: workOrderNumber,
            },
        }))
            .execute());
        return result[0].releaseUnit.code.toString();
    }
    catch (err) {
        page.$.dialog.message('error', ui.localize('@sage/x3-manufacturing/pages__mobile_tracking___loading_rel_BOM_code_error', 'Error loading the release unit.'), String(err));
        return '';
    }
}
//# sourceMappingURL=get-release-uom.js.map