"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUserProfile = getUserProfile;
exports.getSiteFromModule = getSiteFromModule;
exports.getDefaultSiteFromModule = getDefaultSiteFromModule;
const typesLib = require("@sage/xtrem-decimal");
async function getUserProfile(user) {
    if (user) {
        const functionProfile = await user.functionProfile;
        if (!functionProfile) {
            // eslint-disable-next-line prefer-destructuring
            const profession = await user.profession;
            if (profession) {
                return await profession.functionProfile;
            }
        }
        else {
            return functionProfile;
        }
    }
    return null;
}
async function getSiteFromModule(moduleNumber, profile) {
    const _edges = await profile.userProfileDefaultSites.query.edges;
    if (typesLib.gt(moduleNumber, 0) && typesLib.lte(moduleNumber, (_edges?.length ?? 0))) {
        return _edges[typesLib.sub(moduleNumber, 1)].node.site;
    }
    return null;
}
async function getDefaultSiteFromModule(user, moduleNumber) {
    const userProfile = await getUserProfile(user);
    if (userProfile) {
        return await getSiteFromModule(moduleNumber, userProfile);
    }
    return null;
}
//# sourceMappingURL=user-parameters-values.js.map