"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyDictionaries = void 0;
const xtrem_cli_lib_1 = require("@sage/xtrem-cli-lib");
const fs = require("fs");
const glob_1 = require("glob");
const path = require("path");
const copyDictionaries = (executionMode, dir) => {
    (0, xtrem_cli_lib_1.printInfo)(executionMode, 'Copying string literal files...');
    const i18nSourceDir = path.resolve(dir, 'lib', 'i18n');
    const i18nTargetDir = path.resolve(dir, 'build', 'lib', 'i18n');
    if (fs.existsSync(i18nSourceDir)) {
        if (!fs.existsSync(i18nTargetDir)) {
            fs.mkdirSync(i18nTargetDir);
        }
        glob_1.glob.sync('./*.json', { cwd: i18nSourceDir, absolute: true, realpath: true }).forEach(f => {
            const basename = path.basename(f);
            const fileTarget = path.resolve(i18nTargetDir, basename);
            fs.copyFileSync(f, fileTarget);
        });
    }
    (0, xtrem_cli_lib_1.printSuccess)(executionMode, 'String literal files copied.');
};
exports.copyDictionaries = copyDictionaries;
//# sourceMappingURL=copy-dictionaries.js.map