import * as React from 'react';
import { useSelector } from 'react-redux';
import './chatbot.scss';
import { GmsChatWindow } from '@sageai/gms-chat-ui-react';
export function Chatbot() {
    const chatbotConfig = useSelector(s => s.chatbotConfig);
    const chatbotBackendUrl = useSelector(s => s.config?.chatbotBackendUrl || null);
    const user = useSelector(state => state.user);
    const pageContext = useSelector(state => state.pageContext);
    if (!chatbotConfig || !chatbotBackendUrl || !user?.uuid || !user?.locale) {
        return null;
    }
    const authToken = `${chatbotConfig.aiToken}|${chatbotConfig.graphQL}`;
    return (React.createElement(GmsChatWindow, { "data-testid": "gms-chat-window", backendUrl: chatbotBackendUrl, enableInsights: true, enableChat: true, authToken: authToken, userId: user.uuid, gmsClient: "sdmo_v1" // specifies which GMS client to communicate with: `base_v2`, `excel_v1`, `sdmo_v1`, `sip_v1`, `sna_v1`
        , showSidebar: false, showSuggestions: false, showConversationStarter: true, fetchHistory: true, showHeading: true, roundedCorners: true, initialDisplayState: "hidden", disableShadowDom: true, chatContext: {
            tenant_id: user?.tenantId ?? undefined,
            user_locale: user?.locale ?? undefined,
            nodeName: pageContext?.nodeName,
            recordFilter: pageContext?.recordFilter,
            screenId: pageContext?.screenId,
            screenTitle: pageContext?.screenTitle,
        } }));
}
//# sourceMappingURL=chatbot.js.map