import * as React from 'react';
import type { PageDefinition } from '../../../service/page-definition';
import { ContextType } from '../../../types';
import type { PageComponentProps } from './page-types';
declare class PageComponent extends React.Component<PageComponentProps> {
    private readonly pageBodyRef;
    private shortcutSubscriptions;
    constructor(props: PageComponentProps);
    componentDidMount(): void;
    componentDidCatch(error: Error): void;
    componentWillUnmount(): void;
    getActiveSectionId: () => string | undefined;
    getVisibleSections: () => HTMLDivElement[];
    getActiveSectionIndex(): number;
    onBodyScroll: () => void;
    onFileDrop: (files: FileList) => Promise<void>;
    getPageClassName(): string;
    getPendoPageMode(): string;
    handle360ViewInUrl: () => void;
    hasPageFooter: () => boolean;
    renderDetailPanel(): React.ReactNode;
    renderSections(availableColumns: number): React.ReactNode;
    render(): React.ReactNode;
}
declare const _default: import("react-redux").ConnectedComponent<typeof PageComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<PageComponent> | undefined;
    availableColumns: number;
    contextType: ContextType;
    fixedHeight?: number | undefined;
    isMainListDisplayedInDialog?: boolean | undefined;
    noHeader?: boolean | undefined;
    pageDefinition: PageDefinition;
    selectedSection?: string | null | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default _default;
//# sourceMappingURL=page-component.d.ts.map