import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { AggregateDecoratorProperties } from './aggregate-types';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
export interface AggregateComponentState {
    value: string;
}
export declare class AggregateComponent extends ReadonlyFieldBaseComponent<AggregateDecoratorProperties, number, NestedFieldsAdditionalProperties> {
    render(): React.ReactNode;
}
export declare const ConnectedAggregateComponent: import("react-redux").ConnectedComponent<typeof AggregateComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<AggregateComponent> | undefined;
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    parentElementId?: string | undefined;
    level?: number | undefined;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    recordContext?: any;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedAggregateComponent;
//# sourceMappingURL=aggregate-component.d.ts.map