import * as React from 'react';
import { ContextType } from '../../../types';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { LabelDecoratorProperties } from './label-types';
export declare class LabelComponent extends ReadonlyFieldBaseComponent<LabelDecoratorProperties, string, NestedFieldsAdditionalProperties> {
    render(): React.ReactNode;
}
export declare const ConnectedLabelComponent: import("react-redux").ConnectedComponent<typeof LabelComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<LabelComponent> | undefined;
    contextType?: ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    parentElementId?: string | undefined;
    level?: number | undefined;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    recordContext?: any;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedLabelComponent;
//# sourceMappingURL=label-component.d.ts.map