import * as React from 'react';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { RichTextComponentProps, RichTextProperties, RichTextComponentState } from './rich-text-types';
import { ContextType } from '../../../types';
export declare class RichTextComponent extends EditableFieldBaseComponent<RichTextProperties, {
    value: string;
}, {}, RichTextComponentState> {
    private readonly toolbarContainer;
    constructor(props: RichTextComponentProps);
    getToolbarItems(): string[];
    onBlur: () => void;
    onChange: (value: string) => void;
    onKeyDown: (data: any) => void;
    UNSAFE_componentWillReceiveProps(nextProps: RichTextComponentProps): void;
    render(): React.ReactNode;
}
export declare const ConnectedRichTextComponent: import("react-redux").ConnectedComponent<typeof RichTextComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<RichTextComponent> | undefined;
    contextType?: ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    parentElementId?: string | undefined;
    level?: number | undefined;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    recordContext?: any;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedRichTextComponent;
//# sourceMappingURL=rich-text-component.d.ts.map