import React from 'react';
import { type DefaultFilterCols, type OnCellChange } from './filter-table-types';
import type { ColDef, FlatTableProps, UnrestrictedTableCols } from '../flat-table/flat-table-types';
import type { LocalizeFunction } from '@sage/xtrem-shared';
export interface FilterTableParameterColumnProps<Cols extends ColDef[] = [], E = unknown> {
    isDisabled?: boolean;
    onCellChange: OnCellChange<Cols, E>;
    rowData: FlatTableProps<UnrestrictedTableCols<DefaultFilterCols, Cols>, E>['data'][number];
    mode?: 'switch' | 'dropdown';
    localize: LocalizeFunction;
}
export declare function FilterTableParameterColumn<Cols extends ColDef[] = [], E = unknown>({ isDisabled, onCellChange, mode, rowData, localize, }: FilterTableParameterColumnProps<Cols, E>): React.ReactElement;
export declare const FilterTableParameterColumnMemo: React.MemoExoticComponent<typeof FilterTableParameterColumn>;
//# sourceMappingURL=filter-table-parameter-column.d.ts.map