"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRealClosingDate = getRealClosingDate;
const typesLib = require("@sage/xtrem-decimal");
async function getRealClosingDate(_this) {
    if (await _this.closingDate) {
        return _this.closingDate;
    }
    const lastInvoiceDate = await _this.lastSalesInvoiceDate;
    const lastDeliveryDate = await _this.lastSalesDeliveryDate;
    if (lastInvoiceDate && lastDeliveryDate) {
        return typesLib.lt(lastInvoiceDate.value, lastDeliveryDate.value) ? lastInvoiceDate : lastDeliveryDate;
    }
    return lastInvoiceDate ?? lastDeliveryDate;
}
//# sourceMappingURL=sales-order.js.map