"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BusinessPartnerExtension = void 0;
const sageX3MasterData = require("@sage/x3-master-data");
const sageX3System = require("@sage/x3-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageX3InvoicingData = require("..");
const joins = {
    referenceJoins: {
        outboundMapping: {
            code: 'outboundMapping',
        },
    },
};
let BusinessPartnerExtension = class BusinessPartnerExtension extends xtrem_core_1.NodeExtension {
};
exports.BusinessPartnerExtension = BusinessPartnerExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MAPCOD',
        columnType: 'string',
        node: () => sageX3InvoicingData.nodes.Mapping,
        serviceOptions: () => [sageX3System.serviceOptions.EinvActivityCode],
    })
], BusinessPartnerExtension.prototype, "outboundMapping", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DESTYP',
        dataType: () => sageX3InvoicingData.enums.fiscalRecipientDatatype,
        serviceOptions: () => [sageX3System.serviceOptions.CtswActivityCode],
    })
], BusinessPartnerExtension.prototype, "fiscalRecipient", void 0);
exports.BusinessPartnerExtension = BusinessPartnerExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3MasterData.nodes.BusinessPartner,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], BusinessPartnerExtension);
//# sourceMappingURL=business-partner-extension.js.map