"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompanyExtension = void 0;
const sageX3Structure = require("@sage/x3-structure");
const sageX3System = require("@sage/x3-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3MasterData = require("..");
const joins = {
    referenceJoins: {
        country: {
            code: 'country',
        },
        registredCapitalCurrency: {
            code: 'registredCapitalCurrency',
        },
        defaultAddress: {
            entityType() {
                return 'company';
            },
            company: 'code',
            code: 'defaultAddress',
        },
        defaultContact: {
            entityType() {
                return 'company';
            },
            company: 'code',
            code: 'defaultContact',
        },
        defaultBankId: {
            entityType() {
                return 'company';
            },
            company: 'code',
            bankId: 'defaultBankId',
            address: 'defaultAddress',
        },
        currency: {
            code: 'currency',
        },
    },
    collectionJoins: {
        addresses: {
            entityType() {
                return 'company';
            },
            company: 'code',
        },
        contacts: {
            entityType() {
                return 'company';
            },
            company: 'code',
        },
        bankDetails: {
            entityType() {
                return 'company';
            },
            company: 'code',
        },
    },
};
let CompanyExtension = class CompanyExtension extends xtrem_core_1.NodeExtension {
};
exports.CompanyExtension = CompanyExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CRY',
        columnType: 'string',
        node: () => sageX3Structure.nodes.Country,
    })
], CompanyExtension.prototype, "country", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'RGCCUR',
        columnType: 'string',
        node: () => sageX3MasterData.nodes.Currency,
        serviceOptions: () => [sageX3System.serviceOptions.EurActivityCode],
    })
], CompanyExtension.prototype, "registredCapitalCurrency", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'BPAADD',
        columnType: 'string',
        filters: {
            lookup: {
                entityType: 'company',
            },
            control: {
                entityType: 'company',
            },
        },
        node: () => sageX3MasterData.nodes.CompanyAddress,
    })
], CompanyExtension.prototype, "defaultAddress", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CNTNAM',
        columnType: 'string',
        filters: {
            lookup: {
                entityType: 'company',
            },
            control: {
                entityType: 'company',
            },
        },
        node: () => sageX3MasterData.nodes.CompanyContact,
    })
], CompanyExtension.prototype, "defaultContact", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'BIDNUM',
        columnType: 'string',
        filters: {
            lookup: {
                entityType: 'company',
            },
            control: {
                entityType: 'company',
            },
        },
        node: () => sageX3MasterData.nodes.CompanyBankDetail,
    })
], CompanyExtension.prototype, "defaultBankId", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'ACCCUR',
        columnType: 'string',
        node: () => sageX3MasterData.nodes.Currency,
    })
], CompanyExtension.prototype, "currency", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SERVICEID',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
        serviceOptions: () => [sageX3System.serviceOptions.EinvActivityCode],
    })
], CompanyExtension.prototype, "serviceId", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        node: () => sageX3MasterData.nodes.CompanyAddress,
        isMutable: true,
        dependsOn: ['code'],
    })
], CompanyExtension.prototype, "addresses", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        node: () => sageX3MasterData.nodes.CompanyContact,
        isMutable: true,
        dependsOn: ['code'],
    })
], CompanyExtension.prototype, "contacts", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        node: () => sageX3MasterData.nodes.CompanyBankDetail,
        isMutable: true,
        dependsOn: ['code'],
    })
], CompanyExtension.prototype, "bankDetails", void 0);
exports.CompanyExtension = CompanyExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3System.nodes.Company,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], CompanyExtension);
//# sourceMappingURL=company-extension.js.map