"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PurchaseRequestLineExtension = void 0;
const sageX3Finance = require("@sage/x3-finance");
const sageX3Purchasing = require("@sage/x3-purchasing");
const sageX3PurchasingData = require("@sage/x3-purchasing-data");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const joins = {
    referenceJoins: {
        preCommitment: {
            id: 'preCommitment',
        },
    },
};
let PurchaseRequestLineExtension = class PurchaseRequestLineExtension extends xtrem_core_1.NodeExtension {
};
exports.PurchaseRequestLineExtension = PurchaseRequestLineExtension;
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CMMPRPTAX',
        dataType: () => sageX3PurchasingData.enums.commitmentTypeDatatype,
    })
], PurchaseRequestLineExtension.prototype, "commitmentType", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CMMPRPNUM',
        columnType: 'string',
        node: () => sageX3Finance.nodes.FinancialCommitment,
    })
], PurchaseRequestLineExtension.prototype, "preCommitment", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CMMPRPFLG',
    })
], PurchaseRequestLineExtension.prototype, "preCommitmentGenerated", void 0);
exports.PurchaseRequestLineExtension = PurchaseRequestLineExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3Purchasing.nodes.PurchaseRequestLine,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], PurchaseRequestLineExtension);
//# sourceMappingURL=purchase-request-line-extension.js.map