import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3System from '@sage/x3-system';
import { NodeExtension, Reference, decimal, Collection } from '@sage/xtrem-core';
import * as sageX3FinanceData from '..';
export declare class SupplierExtension extends NodeExtension<sageX3MasterData.nodes.Supplier> {
    readonly paymentBank: Reference<sageX3FinanceData.nodes.BankAccount | null>;
    readonly accountingCode: Reference<sageX3FinanceData.nodes.AccountingCode | null>;
    readonly serviceSupplier: Reference<sageX3FinanceData.nodes.ServiceSupplier | null>;
    readonly allowanceRate: Promise<decimal | null>;
    readonly accountStructure: Reference<sageX3FinanceData.nodes.AccountScheme | null>;
    readonly expenseAllocation: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly form1099: Promise<sageX3FinanceData.enums.Form1099 | null>;
    readonly box1099: Reference<sageX3FinanceData.nodes.Box1099 | null>;
    readonly payrollInterfaceDistribution: Reference<sageX3FinanceData.nodes.DistributionKey | null>;
    readonly dimensions: Collection<sageX3FinanceData.nodes.SupplierDimensions>;
    readonly partnerWithHoldings: Collection<sageX3FinanceData.nodes.SupplierPartnerWithHoldings>;
    readonly withHoldingTaxes: Collection<sageX3FinanceData.nodes.SupplierWithHoldingTaxes>;
}
declare module '@sage/x3-master-data/lib/nodes/supplier' {
    interface Supplier extends SupplierExtension {
    }
}
//# sourceMappingURL=supplier-extension.d.ts.map