"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompositeCodeSetupLine = void 0;
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3System = require("..");
const joins = {
    referenceJoins: {
        stockSite: {
            code: 'stockSite',
        },
        flow: {
            glossaryId() {
                return 973;
            },
            code: 'flow',
        },
    },
};
let CompositeCodeSetupLine = class CompositeCodeSetupLine extends xtrem_core_1.Node {
};
exports.CompositeCodeSetupLine = CompositeCodeSetupLine;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'STOFCY',
        columnType: 'string',
        node: () => sageX3System.nodes.Site,
    })
], CompositeCodeSetupLine.prototype, "stockSite", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLO',
        columnType: 'string',
        filters: {
            lookup: {
                glossaryId: 973,
            },
            control: {
                glossaryId: 973,
            },
        },
        node: () => sageX3System.nodes.MiscellaneousTable,
    })
], CompositeCodeSetupLine.prototype, "flow", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        columnName: 'NUMLIG',
    })
], CompositeCodeSetupLine.prototype, "lineNumber", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'FLDNAM',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], CompositeCodeSetupLine.prototype, "fieldName", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PSS',
    })
], CompositeCodeSetupLine.prototype, "startPosition", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'LNG',
    })
], CompositeCodeSetupLine.prototype, "length", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DATATYP',
        dataType: () => sageX3System.enums.fieldTypeDatatype,
    })
], CompositeCodeSetupLine.prototype, "fieldDataType", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLDALIAS',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], CompositeCodeSetupLine.prototype, "fieldAlias", void 0);
exports.CompositeCodeSetupLine = CompositeCodeSetupLine = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'CMPCODPARD',
        keyPropertyNames: ['stockSite', 'flow', 'lineNumber'],
        indexes: [
            {
                orderBy: {
                    stockSite: 1,
                    flow: 1,
                    lineNumber: 1,
                },
                isUnique: true,
                isNaturalKey: true,
            },
        ],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            joinFallbackProperties: ['stockSite'],
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
    })
], CompositeCodeSetupLine);
//# sourceMappingURL=composite-code-setup-line.js.map