"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompositeCodeSetup = void 0;
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3System = require("..");
const joins = {
    referenceJoins: {
        stockSite: {
            code: 'stockSite',
        },
        flow: {
            glossaryId() {
                return 973;
            },
            code: 'flow',
        },
    },
    localizedStrings: {
        localizedDescription: {
            tableName() {
                return 'CMPCODPARH';
            },
            columnName() {
                return 'DESAXX';
            },
            key1: ['flow'],
            key2: ['stockSite'],
        },
    },
    collectionJoins: {
        lines: {
            stockSite: 'stockSite',
            flow: 'flow',
        },
    },
};
let CompositeCodeSetup = class CompositeCodeSetup extends xtrem_core_1.Node {
};
exports.CompositeCodeSetup = CompositeCodeSetup;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'STOFCY',
        columnType: 'string',
        node: () => sageX3System.nodes.Site,
    })
], CompositeCodeSetup.prototype, "stockSite", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'FLO',
        columnType: 'string',
        filters: {
            lookup: {
                glossaryId: 973,
            },
            control: {
                glossaryId: 973,
            },
        },
        node: () => sageX3System.nodes.MiscellaneousTable,
    })
], CompositeCodeSetup.prototype, "flow", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CMPCOD',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], CompositeCodeSetup.prototype, "compositeCode", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'DESAXX',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.translatableTextDatatype,
    })
], CompositeCodeSetup.prototype, "localizedDescription", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'ENAFLG',
    })
], CompositeCodeSetup.prototype, "isActive", void 0);
__decorate([
    xtrem_core_1.decorators.booleanProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BLKDLT',
    })
], CompositeCodeSetup.prototype, "isBlankDeletion", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CMPCODTYP',
        dataType: () => sageX3System.enums.compositeCodeTypeDatatype,
    })
], CompositeCodeSetup.prototype, "compositeCodeType", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'OPTDAT',
    })
], CompositeCodeSetup.prototype, "dateFormat", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'LIBDAT',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], CompositeCodeSetup.prototype, "dateLabel", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SEPFLD',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], CompositeCodeSetup.prototype, "fieldSeparator", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        columnName: 'SEPDEC',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], CompositeCodeSetup.prototype, "decimalSeparator", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        node: () => sageX3System.nodes.CompositeCodeSetupLine,
        dependsOn: ['stockSite', 'flow'],
    })
], CompositeCodeSetup.prototype, "lines", void 0);
exports.CompositeCodeSetup = CompositeCodeSetup = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'CMPCODPARH',
        keyPropertyNames: ['stockSite', 'flow'],
        indexes: [
            {
                orderBy: {
                    stockSite: 1,
                    flow: 1,
                },
                isUnique: true,
                isNaturalKey: true,
            },
        ],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            joinFallbackProperties: ['stockSite'],
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
    })
], CompositeCodeSetup);
//# sourceMappingURL=composite-code-setup.js.map