import * as sageX3FinanceData from '@sage/x3-finance-data';
import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import * as sageX3StockData from '@sage/x3-stock-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, date, Collection } from '@sage/xtrem-core';
import * as sageX3Stock from '..';
export declare class IntersiteTransfer extends Node {
    readonly id: Promise<string>;
    readonly stockChangeDestination: Promise<sageX3StockData.enums.DestinationChoice | null>;
    readonly stockSite: Reference<sageX3System.nodes.Site>;
    readonly stockSiteDestination: Reference<sageX3System.nodes.Site | null>;
    readonly purchaseSite: Reference<sageX3System.nodes.Site | null>;
    readonly salesSite: Reference<sageX3System.nodes.Site | null>;
    readonly receiptStockSiteAddress: Reference<sageX3MasterData.nodes.Address | null>;
    readonly project: Reference<sageX3ProjectManagementData.nodes.ProjectLink | null>;
    readonly isIntercompany: Promise<boolean>;
    readonly mustBeInvoiced: Promise<boolean>;
    readonly isInvoiced: Promise<boolean>;
    readonly salesInvoiceNumber: Promise<string>;
    readonly effectiveDate: Promise<date | null>;
    readonly documentDescription: Promise<string>;
    readonly stockMovementGroup: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly transactionType: Promise<sageX3StockData.enums.StockTransactionType | null>;
    readonly stockMovementCode: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly stockAutomaticJournal: Reference<sageX3FinanceData.nodes.AutomaticJournal | null>;
    readonly isSigned: Promise<boolean>;
    readonly transportDocumentType: Promise<string>;
    readonly temporaryDocumentId: Promise<string>;
    readonly intersiteTransferLines: Collection<sageX3Stock.nodes.IntersiteTransferLine>;
    readonly destinationCode: Promise<string>;
    readonly printingMode: Promise<string>;
}
//# sourceMappingURL=intersite-transfer.d.ts.map