"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PurchaseOrderLineDimensionDimensions = void 0;
const sageX3FinanceData = require("@sage/x3-finance-data");
const sageX3StockData = require("@sage/x3-stock-data");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3Purchasing = require("..");
const denormalized = {
    maxRepeat: (context) => sageXtremX3SystemUtils.getSizingFromActivityCode(context, 'ANA'),
};
const joins = {
    referenceJoins: {
        _denormalizedParent: {
            abbreviation: 'abbreviation',
            typ: 'typ',
            purchaseOrder: 'purchaseOrder',
            purchaseOrderLine: 'purchaseOrderLine',
            sequenceNumber: 'sequenceNumber',
            keyComplement: 'keyComplement',
            sortValue: 'sortValue',
        },
        dimensionType: {
            dimensionType: 'dimensionType',
        },
        dimension: {
            dimensionType: 'dimensionType',
            dimension: 'dimension',
        },
    },
};
let PurchaseOrderLineDimensionDimensions = class PurchaseOrderLineDimensionDimensions extends xtrem_core_1.Node {
};
exports.PurchaseOrderLineDimensionDimensions = PurchaseOrderLineDimensionDimensions;
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
    })
], PurchaseOrderLineDimensionDimensions.prototype, "denormalizedIndex", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isStored: true,
        isNotEmpty: true,
        columnName: 'ABRFIC',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], PurchaseOrderLineDimensionDimensions.prototype, "abbreviation", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isStored: true,
        columnName: 'VCRTYP',
        dataType: () => sageX3StockData.enums.entryTypeEnumDatatype,
    })
], PurchaseOrderLineDimensionDimensions.prototype, "typ", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'VCRNUM',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], PurchaseOrderLineDimensionDimensions.prototype, "purchaseOrder", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        columnName: 'VCRLIN',
    })
], PurchaseOrderLineDimensionDimensions.prototype, "purchaseOrderLine", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isStored: true,
        columnName: 'VCRSEQ',
    })
], PurchaseOrderLineDimensionDimensions.prototype, "sequenceNumber", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isStored: true,
        isNotEmpty: true,
        columnName: 'CPLCLE',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], PurchaseOrderLineDimensionDimensions.prototype, "keyComplement", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isStored: true,
        columnName: 'ANALIG',
    })
], PurchaseOrderLineDimensionDimensions.prototype, "sortValue", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isStored: true,
        isVitalParent: true,
        columnType: 'string',
        node: () => sageX3Purchasing.nodes.PurchaseOrderLineDimension,
    })
], PurchaseOrderLineDimensionDimensions.prototype, "_denormalizedParent", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DIE',
        columnType: 'string',
        node: () => sageX3FinanceData.nodes.DimensionType,
    })
], PurchaseOrderLineDimensionDimensions.prototype, "dimensionType", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'CCE',
        columnType: 'string',
        node: () => sageX3FinanceData.nodes.Dimension,
    })
], PurchaseOrderLineDimensionDimensions.prototype, "dimension", void 0);
exports.PurchaseOrderLineDimensionDimensions = PurchaseOrderLineDimensionDimensions = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'CPTANALIN',
        keyPropertyNames: [
            'denormalizedIndex',
            'abbreviation',
            'typ',
            'purchaseOrder',
            'purchaseOrderLine',
            'sequenceNumber',
            'keyComplement',
            'sortValue',
        ],
        indexes: [],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            isDenormalized: true,
            denormalized,
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
        isVitalCollectionChild: true,
    })
], PurchaseOrderLineDimensionDimensions);
//# sourceMappingURL=purchase-order-line-dimension-dimensions.js.map