"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PurchaseRequestLineDimension = void 0;
const sageX3StockData = require("@sage/x3-stock-data");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("@sage/xtrem-x3-system-utils");
const sageX3Purchasing = require("..");
const joins = {
    referenceJoins: {
        purchaseRequest: {
            id: 'purchaseRequest',
        },
        purchaseRequestLine: {
            purchaseRequest: 'purchaseRequest',
            lineNumber: 'purchaseRequestLine',
        },
    },
};
let PurchaseRequestLineDimension = class PurchaseRequestLineDimension extends xtrem_core_1.Node {
};
exports.PurchaseRequestLineDimension = PurchaseRequestLineDimension;
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isStored: true,
        isNotEmpty: true,
        columnName: 'ABRFIC',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], PurchaseRequestLineDimension.prototype, "abbreviation", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isStored: true,
        isNullable: true,
        columnName: 'VCRTYP',
        dataType: () => sageX3StockData.enums.entryTypeEnumDatatype,
    })
], PurchaseRequestLineDimension.prototype, "typ", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'VCRNUM',
        columnType: 'string',
        node: () => sageX3Purchasing.nodes.PurchaseRequest,
    })
], PurchaseRequestLineDimension.prototype, "purchaseRequest", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'VCRLIN',
        columnType: 'integer',
        node: () => sageX3Purchasing.nodes.PurchaseRequestLine,
    })
], PurchaseRequestLineDimension.prototype, "purchaseRequestLine", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isStored: true,
        isNullable: true,
        columnName: 'VCRSEQ',
    })
], PurchaseRequestLineDimension.prototype, "sequenceNumber", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isStored: true,
        columnName: 'CPLCLE',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], PurchaseRequestLineDimension.prototype, "keyComplement", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isStored: true,
        isNullable: true,
        columnName: 'ANALIG',
    })
], PurchaseRequestLineDimension.prototype, "sortValue", void 0);
__decorate([
    xtrem_core_1.decorators.collectionProperty({
        isPublished: true,
        isVital: true,
        reverseReference: '_denormalizedParent',
        node: () => sageX3Purchasing.nodes.PurchaseRequestLineDimensionDimensions,
    })
], PurchaseRequestLineDimension.prototype, "dimensions", void 0);
exports.PurchaseRequestLineDimension = PurchaseRequestLineDimension = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'CPTANALIN',
        keyPropertyNames: [
            'abbreviation',
            'typ',
            'purchaseRequest',
            'purchaseRequestLine',
            'sequenceNumber',
            'keyComplement',
            'sortValue',
        ],
        indexes: [
            {
                orderBy: {
                    abbreviation: 1,
                    typ: 1,
                    purchaseRequest: 1,
                    purchaseRequestLine: 1,
                    sequenceNumber: 1,
                    keyComplement: 1,
                    sortValue: 1,
                },
                isUnique: true,
                isNaturalKey: true,
            },
        ],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            joinFallbackProperties: ['typ', 'purchaseRequestLine', 'sequenceNumber', 'keyComplement', 'sortValue'],
        }),
        getFilters() {
            return [{ _and: [{ abbreviation: 'PSD' }, { typ: null }] }];
        },
        canRead: true,
        canSearch: true,
    })
], PurchaseRequestLineDimension);
//# sourceMappingURL=purchase-request-line-dimension.js.map