import * as sageX3InvoicingData from '@sage/x3-invoicing-data';
import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import * as sageX3PurchasingData from '@sage/x3-purchasing-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, integer, decimal, date, Collection, TextStream } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class PurchaseRequestLine extends Node {
    readonly purchaseRequest: Reference<sageX3Purchasing.nodes.PurchaseRequest>;
    readonly lineNumber: Promise<integer | null>;
    readonly company: Reference<sageX3System.nodes.Company>;
    readonly requestSite: Reference<sageX3System.nodes.Site>;
    readonly product: Reference<sageX3MasterData.nodes.Product>;
    readonly productDescriptionInUserLanguage: Promise<string>;
    readonly productDescriptionInSupplierLanguage: Promise<string>;
    readonly supplier: Reference<sageX3MasterData.nodes.Supplier | null>;
    readonly quantityInPurchaseUnitRequested: Promise<decimal | null>;
    readonly quantityInStockUnitRequested: Promise<decimal | null>;
    readonly quantityInPurchaseUnitOrdered: Promise<decimal | null>;
    readonly quantityInStockUnitOrdered: Promise<decimal | null>;
    readonly purchaseUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure>;
    readonly stockUnit: Reference<sageX3MasterData.nodes.UnitOfMeasure>;
    readonly taxRule: Reference<sageX3InvoicingData.nodes.TaxRule>;
    readonly taxRuleType: Promise<integer | null>;
    readonly currency: Reference<sageX3MasterData.nodes.Currency>;
    readonly currencyRateType: Promise<sageX3System.enums.ExchangeRateType | null>;
    readonly currencyRate: Promise<decimal | null>;
    readonly grossPrice: Promise<decimal | null>;
    readonly netPrice: Promise<decimal | null>;
    readonly discountOrCharge1: Promise<decimal | null>;
    readonly discountOrCharge2: Promise<decimal | null>;
    readonly discountOrCharge3: Promise<decimal | null>;
    readonly discountOrCharge4: Promise<decimal | null>;
    readonly discountOrCharge5: Promise<decimal | null>;
    readonly discountOrCharge6: Promise<decimal | null>;
    readonly discountOrCharge7: Promise<decimal | null>;
    readonly discountOrCharge8: Promise<decimal | null>;
    readonly discountOrCharge9: Promise<decimal | null>;
    readonly priceReason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly discountOrCharge1Reason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly discountOrCharge2Reason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly discountOrCharge3Reason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly discountOrCharge4Reason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly discountOrCharge5Reason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly discountOrCharge6Reason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly discountOrCharge7Reason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly discountOrCharge8Reason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly discountOrCharge9Reason: Reference<sageX3PurchasingData.nodes.PurchasePriceReason | null>;
    readonly taxExcludedLineAmount: Promise<decimal | null>;
    readonly calculatedOrderDate: Promise<date | null>;
    readonly expectedReceiptDate: Promise<date | null>;
    readonly buyer: Reference<sageX3System.nodes.User | null>;
    readonly purchaseType: Promise<sageX3InvoicingData.enums.PurchaseType | null>;
    readonly project: Reference<sageX3ProjectManagementData.nodes.ProjectLink | null>;
    readonly receiptSite: Reference<sageX3System.nodes.Site>;
    readonly receiptTax: Reference<sageX3InvoicingData.nodes.Tax | null>;
    readonly issueTax: Reference<sageX3InvoicingData.nodes.Tax | null>;
    readonly otherTax1: Reference<sageX3InvoicingData.nodes.Tax | null>;
    readonly otherTax2: Reference<sageX3InvoicingData.nodes.Tax | null>;
    readonly calculatedTaxBasis1: Promise<decimal | null>;
    readonly calculatedTaxBasis2: Promise<decimal | null>;
    readonly calculatedBasisForTax3: Promise<decimal | null>;
    readonly calculationBasisForReceiptTax: Promise<decimal | null>;
    readonly calculationBasisForIssueTax: Promise<decimal | null>;
    readonly calculationBasisForOtherTax1: Promise<decimal | null>;
    readonly calculationBasisForOtherTax2: Promise<decimal | null>;
    readonly lineAmountIncludingTax: Promise<decimal | null>;
    readonly tax1BasisAmount: Promise<decimal | null>;
    readonly tax1amount: Promise<decimal | null>;
    readonly tax2amount: Promise<decimal | null>;
    readonly tax3amount: Promise<decimal | null>;
    readonly receiptTaxAmount: Promise<decimal | null>;
    readonly issueTaxAmount: Promise<decimal | null>;
    readonly otherTax1Amount: Promise<decimal | null>;
    readonly otherTax2Amount: Promise<decimal | null>;
    readonly tax1DeductibleAmount: Promise<decimal | null>;
    readonly tax2DeductibleAmount: Promise<decimal | null>;
    readonly tax3DeductibleAmount: Promise<decimal | null>;
    readonly receiptTaxDeductibleAmount: Promise<decimal | null>;
    readonly issueTaxDeductibleAmount: Promise<decimal | null>;
    readonly otherTax1DeductibleAmount: Promise<decimal | null>;
    readonly otherTax2DeductibleAmount: Promise<decimal | null>;
    readonly requestLineTextKey: Promise<string>;
    readonly isClosed: Promise<boolean>;
    readonly isOrdered: Promise<boolean>;
    readonly signedStatus: Promise<sageX3MasterData.enums.NoInPartInFull | null>;
    readonly isBudgetOverrun: Promise<boolean>;
    readonly sourceRequest: Promise<sageX3PurchasingData.enums.RequestSource | null>;
    readonly requestForQuotation: Reference<sageX3Purchasing.nodes.RequestForQuotation | null>;
    readonly workInProgressOrderNumber: Promise<string>;
    readonly numberOfRequestForQuotations: Promise<integer | null>;
    readonly maintenanceLineNumber: Promise<string>;
    readonly technicalOrigin: Promise<sageX3System.enums.TechnicalOrigin | null>;
    readonly majorProductVersion: Reference<sageX3MasterData.nodes.MajorVersionStatus | null>;
    readonly minorProductVersion: Promise<string>;
    readonly productType: Promise<sageX3Purchasing.enums.PurchasingProductType | null>;
    readonly requestLineTextRef: Reference<sageX3MasterData.nodes.CommonText | null>;
    readonly purchaseRequestLineDimension: Reference<sageX3Purchasing.nodes.PurchaseRequestLineDimension>;
    readonly dimensions: Collection<sageX3Purchasing.nodes.PurchaseRequestLineDimensionDimensions>;
    readonly requestLineText: Promise<TextStream>;
    readonly taxes: Collection<sageX3Purchasing.nodes.PurchaseRequestLineTaxes>;
}
//# sourceMappingURL=purchase-request-line.d.ts.map