import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, date, integer, decimal, Collection, TextStream } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class PurchaseRequest extends Node {
    readonly id: Promise<string>;
    readonly company: Reference<sageX3System.nodes.Company>;
    readonly requestSite: Reference<sageX3System.nodes.Site>;
    readonly requestDate: Promise<date | null>;
    readonly project: Reference<sageX3ProjectManagementData.nodes.ProjectLink | null>;
    readonly numberOfLines: Promise<integer | null>;
    readonly numberOfBudgetOverrunLines: Promise<integer | null>;
    readonly numberOfSignedLines: Promise<integer | null>;
    readonly numberOfOrderedLines: Promise<integer | null>;
    readonly numberOfClosedLines: Promise<integer | null>;
    readonly signatureStatus: Promise<sageX3MasterData.enums.NoInPartInFull | null>;
    readonly isOrdered: Promise<boolean>;
    readonly isClosed: Promise<boolean>;
    readonly isPrinted: Promise<boolean>;
    readonly requestHeaderTextKey: Promise<string>;
    readonly requestFooterTextKey: Promise<string>;
    readonly requester: Reference<sageX3System.nodes.User | null>;
    readonly totalAmountExcludingTax: Promise<decimal | null>;
    readonly maintenanceNumber: Promise<string>;
    readonly maintenanceUrl: Promise<string>;
    readonly technicalOrigin: Promise<sageX3System.enums.TechnicalOrigin | null>;
    readonly purchaseRequestLines: Collection<sageX3Purchasing.nodes.PurchaseRequestLine>;
    readonly requestHeaderTextRef: Reference<sageX3MasterData.nodes.CommonText | null>;
    readonly requestFooterTextRef: Reference<sageX3MasterData.nodes.CommonText | null>;
    readonly requestFooterText: Promise<TextStream>;
    readonly requestHeaderText: Promise<TextStream>;
    readonly dimensions: Collection<sageX3Purchasing.nodes.PurchaseRequestDimensions>;
}
//# sourceMappingURL=purchase-request.d.ts.map