"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestForQuotationLine = void 0;
const sageX3MasterData = require("@sage/x3-master-data");
const sageX3System = require("@sage/x3-system");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageX3Purchasing = require("..");
const joins = {
    referenceJoins: {
        supplier: {
            code: 'supplier',
        },
        requestForQuotation: {
            id: 'requestForQuotation',
        },
        company: {
            code: 'company',
        },
        requestForQuotationSite: {
            code: 'requestForQuotationSite',
        },
    },
};
let RequestForQuotationLine = class RequestForQuotationLine extends xtrem_core_1.Node {
};
exports.RequestForQuotationLine = RequestForQuotationLine;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'BPSNUM',
        columnType: 'string',
        node: () => sageX3MasterData.nodes.Supplier,
    })
], RequestForQuotationLine.prototype, "supplier", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PQHNUM',
        columnType: 'string',
        node: () => sageX3Purchasing.nodes.RequestForQuotation,
    })
], RequestForQuotationLine.prototype, "requestForQuotation", void 0);
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'PQDLIN',
    })
], RequestForQuotationLine.prototype, "lineNumber", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'CPY',
        columnType: 'string',
        node: () => sageX3System.nodes.Company,
    })
], RequestForQuotationLine.prototype, "company", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        columnName: 'PQHFCY',
        columnType: 'string',
        node: () => sageX3System.nodes.Site,
    })
], RequestForQuotationLine.prototype, "requestForQuotationSite", void 0);
exports.RequestForQuotationLine = RequestForQuotationLine = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'PRESP',
        keyPropertyNames: ['supplier', 'requestForQuotation', 'lineNumber'],
        indexes: [
            {
                orderBy: {
                    supplier: 1,
                    requestForQuotation: 1,
                    lineNumber: 1,
                },
                isUnique: true,
                isNaturalKey: true,
            },
        ],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            joinFallbackProperties: ['lineNumber'],
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
    })
], RequestForQuotationLine);
//# sourceMappingURL=request-for-quotation-line.js.map