import * as sageX3FinanceData from '@sage/x3-finance-data';
import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import * as sageX3StockData from '@sage/x3-stock-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, date, Collection } from '@sage/xtrem-core';
import * as sageX3Stock from '..';
export declare class SubcontractTransfer extends Node {
    readonly id: Promise<string>;
    readonly stockChangeDestination: Promise<sageX3StockData.enums.DestinationChoice | null>;
    readonly stockSite: Reference<sageX3System.nodes.Site>;
    readonly subcontractor: Reference<sageX3MasterData.nodes.BusinessPartner | null>;
    readonly subcontractorAddress: Reference<sageX3MasterData.nodes.Address | null>;
    readonly subcontractLocation: Reference<sageX3StockData.nodes.Location | null>;
    readonly project: Reference<sageX3ProjectManagementData.nodes.ProjectLink | null>;
    readonly effectiveDate: Promise<date | null>;
    readonly documentDescription: Promise<string>;
    readonly stockMovementGroup: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly stockMovementCode: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly stockAutomaticJournal: Reference<sageX3FinanceData.nodes.AutomaticJournal | null>;
    readonly transportDocumentType: Promise<string>;
    readonly subcontractTransferLines: Collection<sageX3Stock.nodes.SubcontractTransferLine>;
    readonly destinationCode: Promise<string>;
    readonly printingMode: Promise<string>;
}
//# sourceMappingURL=subcontract-transfer.d.ts.map