import { AutomaticJournal } from '@sage/x3-finance-data-api';
import { PurchaseReceiptLineBinding } from '@sage/x3-purchasing-api';
import { StockJournalBinding } from '@sage/x3-stock-data-api';
import { Site } from '@sage/x3-system-api';
import * as ui from '@sage/xtrem-ui';
export type DeepPartial<T> = T extends Object ? {
    [K in keyof T]?: DeepPartial<T[K]>;
} : T;
export declare class MobileIntersiteReceipt extends ui.Page {
    private _entryTransactionMap;
    private _selectedEntryTransaction;
    private _numberOfDecimalList;
    private _isLocationPreloaded;
    private _product;
    private _productSite;
    private _productSalesSite;
    private _supplierProduct;
    private _packingUnits;
    private _isOverReceiptAllowed;
    private _purchaseStockManagementRules;
    private _salesUnitToStockUnitConversionFactor;
    private _previousSalesUnitToStockUnitConversionFactor;
    private _quantityToReceiveNoRounded;
    private _quantityToReceiveRounded;
    private _previousQuantityToReceive;
    private _remainingQuantityNoRounded;
    private _remainingQuantityRounded;
    private _remainingQuantityInitial;
    private _previousLocationCode;
    private _previousContainerCode;
    private _salesDeliveryLine;
    private _stockJournalNodeResponses;
    private _salesDeliveryLines;
    private _currStockJournal;
    private _sequence;
    private _sideBarRowId;
    private _sideBarLevel;
    createButton: ui.PageAction;
    mainSection: ui.containers.Section;
    productBlock: ui.containers.Block;
    customizationIntersiteReceiptHeaderBlock: ui.containers.Block;
    destinationBlock: ui.containers.Block;
    customizationIntersiteReceiptLinesBlock: ui.containers.Block;
    customizationIntersiteReceiptDetailsBlock: ui.containers.Block;
    receiptBlock: ui.containers.Block;
    id: ui.fields.Text<MobileIntersiteReceipt>;
    receiptSite: ui.fields.Reference<Site, MobileIntersiteReceipt>;
    receiptDate: ui.fields.Date;
    transaction: ui.fields.DropdownList;
    destination: ui.fields.Text<MobileIntersiteReceipt>;
    document: ui.fields.Text<MobileIntersiteReceipt>;
    stockMovementCode: ui.fields.Reference;
    stockAutomaticJournal: ui.fields.Reference<AutomaticJournal, MobileIntersiteReceipt>;
    legalCompany: ui.fields.Label;
    salesDelivery: ui.fields.Reference;
    supplier: ui.fields.Reference;
    supplierPackingSlip: ui.fields.Text;
    supplierPackingSlipDate: ui.fields.Date;
    salesDeliveryLine: ui.fields.Reference;
    headerTitleLeft: ui.fields.Text;
    headerTitleRight: ui.fields.Text;
    headerLine2Left: ui.fields.Text;
    headerLine2Right: ui.fields.Text;
    headerLine3Left: ui.fields.Text;
    headerLine3Right: ui.fields.Text;
    addButton: ui.PageAction;
    detailsNextButton: ui.PageAction;
    destinationReceiptUnit: ui.fields.DropdownList;
    destinationReceiptUnitCode: ui.fields.Label;
    destinationPreviousReceiptUnit: ui.fields.Label;
    destinationQuantityToReceive: ui.fields.Numeric;
    destinationRemainingQuantity: ui.fields.Numeric;
    destinationPackingUnitToStockUnitConversionFactor: ui.fields.Numeric;
    destinationStatus: ui.fields.DropdownList;
    destinationContainer: ui.fields.Reference;
    destinationLicensePlateNumber: ui.fields.Reference;
    destinationSuggestedLocation: ui.fields.Text;
    destinationLocation: ui.fields.Reference;
    destinationWarehouse: ui.fields.Text;
    destinationSerialNumber: ui.fields.Text;
    destinationSupplierLot: ui.fields.Text;
    destinationLot: ui.fields.Text;
    destinationSublot: ui.fields.Text;
    destinationMajorVersion: ui.fields.Reference;
    destinationMinorVersion: ui.fields.Text;
    destinationExpirationDate: ui.fields.Date;
    destinationUseByDate: ui.fields.Date;
    destinationLotCustomField1: ui.fields.Text;
    destinationLotCustomField2: ui.fields.Text;
    destinationLotCustomField3: ui.fields.Numeric;
    destinationLotCustomField4: ui.fields.Date;
    destinationIdentifier1: ui.fields.Text;
    destinationIdentifier2: ui.fields.Text;
    lines: ui.fields.NestedGrid<[PurchaseReceiptLineBinding, StockJournalBinding]>;
    private gotoDestinationBlock;
    private _init;
    private getProductSite;
    private getProduct;
    private _getLegalCompany;
    private _getSupplierPackingSlip;
    private _getEntryTransactionOptions;
    private _getIsLocationPreloaded;
    private _disablePage;
    private _initTransaction;
    private _getSupplier;
    private _getSupplierByCode;
    _initializePage(): Promise<boolean>;
    private _getStockJournals;
    private _getStockJournalsNoUpdated;
    private _getStatuses;
    private _getSupplierProduct;
    private _initHeader;
    private _initPackingUnitFields;
    private _validate;
    private _isFieldInvalid;
    private _calculateRemainingQuantity;
    private _calculateRemainingQuantityInStockJournalReponse;
    private _calculateRemainingQuantityInLine;
    private _getNextStockJournal;
    private _getDetailsNextButtonHidden;
    private _updatePurchaseReceiptLine;
    private _displayStockJournal;
    private _displayLine;
    private _showAddButton;
    private getSidebarData;
    private _getSidebarPurchaseReceiptLine;
    private _getSidebarStockJournal;
    private getcustomizationIntersiteReceiptLines;
    private getcustomizationIntersiteReceiptDetails;
    private _getSalesDeliveryLine;
}
//# sourceMappingURL=mobile-intersite-receipt.d.ts.map