import * as ui from '@sage/xtrem-ui';
import { GraphApi, MiscellaneousIssueLineBinding } from '@sage/x3-stock-api';
import { LotsSites, SerialNumber, Stock, StockJournalBinding } from '@sage/x3-stock-data-api';
export declare const mobileApplicationKey = "MobileMiscellaneousIssueKey";
export declare class MobileMiscellaneousIssue extends ui.Page<GraphApi> {
    private _transactions;
    private _transaction;
    private _notifier;
    private _mobileSettings;
    private _stockFieldSettings;
    private _numberSession;
    private _productSite;
    private _packingUnits;
    private _selectedStockManagementRules;
    private _originalStockLines;
    private _productAtLocation;
    private _numberOfDecimalList;
    private _lots;
    productCode: ui.fields.Text;
    productDescription: ui.fields.Text;
    headerSection: ui.containers.Section;
    headerBlock: ui.containers.Block;
    customizationMiscellaneousIssueHeaderBlock: ui.containers.Block;
    id: ui.fields.Text<MobileMiscellaneousIssue>;
    entryType: ui.fields.Select<'miscellaneousIssue', MobileMiscellaneousIssue>;
    stockMovementGroup: ui.fields.Reference;
    stockMovementCode: ui.fields.Reference;
    stockAutomaticJournal: ui.fields.Reference;
    effectiveDate: ui.fields.Date;
    stockSite: ui.fields.Reference;
    transaction: ui.fields.DropdownList;
    productBlock: ui.containers.Block;
    locationSelected: ui.fields.Reference;
    private readonly _onChange_locationSelected;
    productSelected: ui.fields.Reference;
    miscellaneousIssueLinesSection: ui.containers.Section;
    miscellaneousIssueLinesBlock: ui.containers.Block;
    miscellaneousIssueLines: ui.fields.NestedGrid<[MiscellaneousIssueLineBinding, StockJournalBinding]>;
    createButton: ui.PageAction;
    nextButton: ui.PageAction;
    stockLineSection: ui.containers.Section;
    stockLineBlock: ui.containers.Block;
    licensePlateNumberFilter: ui.fields.Reference;
    locationFilter: ui.fields.Reference;
    lotFilter: ui.fields.Reference<LotsSites>;
    sublotFilter: ui.fields.Reference<LotsSites>;
    serialNumberFilter: ui.fields.Reference<SerialNumber>;
    statusFilter: ui.fields.DropdownList;
    packingUnitFilter: ui.fields.DropdownList;
    private readonly _onChange_packingUnitFilter;
    packingUnitToStockUnitConversionFactorFilter: ui.fields.Numeric;
    identifier1Filter: ui.fields.Text;
    identifier2Filter: ui.fields.Text;
    stockCustomField1Filter: ui.fields.Text;
    stockCustomField2Filter: ui.fields.Text;
    stock: ui.fields.Table<any>;
    SelectButton: ui.PageAction;
    CancelButton: ui.PageAction;
    addSerialRangeButton: ui.PageAction;
    detailStockLineSection: ui.containers.Section;
    detailStockLineBlock: ui.containers.Block;
    quantityBlock: ui.containers.Block;
    serialNumberBlock: ui.containers.Block;
    gridBlock: ui.containers.GridRowBlock;
    stockDetails: ui.fields.DetailList<Stock>;
    packingUnitToIssue: ui.fields.DropdownList;
    private readonly _onChange_packingUnitToIssue;
    packingUnitToStockUnitConversionFactorToIssue: ui.fields.Numeric;
    private readonly _onChange_packingUnitToStockUnitConversionFactorToIssue;
    quantityToIssue: ui.fields.Numeric;
    private readonly _onChange_quantityToIssue;
    startingSerialNumber: ui.fields.Reference<SerialNumber>;
    endingSerialNumber: ui.fields.Text;
    _stockId: ui.fields.Text;
    serialNumberLines: ui.fields.Table<any>;
    customizationMiscellaneousIssueLinesBlock: ui.containers.Block;
    customizationMiscellaneousIssueDetailsBlock: ui.containers.Block;
    private _init;
    private _initSite;
    private _initTransaction;
    private _initPackingUnitToTransfer;
    private _initPageDetail;
    private _getStockStatus;
    private _getQuantityInPackingUnitOrigin;
    private _getQuantityInPackingUnitRest;
    private _getMiscellaneousIssueLine;
    private _getQuantityToIssue;
    private _displayDetailFields;
    private _getProductSite;
    private _buildStockFilter;
    private _mapStockLine;
    private _getStock;
    private _filterStockItemsByVersion;
    private _getStockByStockId;
    private _getProductAtLocation;
    private _getCustomizationMiscellaneousIssueLines;
    private _getCustomizationMiscellaneousIssueDetails;
    private _getSidebarMiscellaneousIssueLine;
    private _getSidebarStockJournal;
    private _transactionChange;
    private _onChange_startingSerialNumber;
    private _onRowClick;
    private _onRowSelect;
    private _disablePage;
    private _resetFieldFilters;
    private _calculateEndingSerialNumber;
    private _validateEntry;
    private _updateRecordValue;
    private _updateMiscellaneousIssueLine;
    private _validateSerialNumber;
    private _getLotFilter;
    private controlVersions;
}
//# sourceMappingURL=mobile-miscellaneous-issue.d.ts.map