import React, { ReactNode } from "react";
import { MessagePartHyperLinkStyle, MessagePartHyperLinkType } from "../../types/SessionMessageParts";
import { SageIconType } from "../../types/SageIconType";
import { LayoutProps } from "styled-system";
export interface NavigationLinkProps extends LayoutProps {
    url: string;
    children: ReactNode;
    linkType: MessagePartHyperLinkType;
    linkStyle: MessagePartHyperLinkStyle;
    showLinkIcon: boolean;
    icon?: SageIconType;
    iconFill?: string;
    iconSize?: number;
    dataRole?: string;
    title?: string;
    innerRef?: React.RefObject<HTMLAnchorElement> | React.RefCallback<HTMLAnchorElement>;
    onClick?: () => void;
}
declare const NavigationLink: ({ url, children, linkType, linkStyle, showLinkIcon, icon, iconFill, iconSize, dataRole, innerRef, onClick, ...rest }: NavigationLinkProps) => React.JSX.Element;
export default NavigationLink;
