import React from "react";
import { ClientTheme } from "../../themes/default";
import { SessionMessagePartFilter } from "../../types/SessionMessagePartsFilter";
import { PromptButtonStyle, PromptButtonWrap } from "../../components/buttons/PromptButton";
import { ButtonSize, ButtonStyle } from "../../components/buttons/AiKitButton.styles";
type InsightFetchMode = "feed" | "live";
type SuggestedPromptsFetchMode = "context-dependent" | "fixed";
export interface NonPropSettings {
    insightFetchMode: InsightFetchMode;
    suggestedPromptsFetchMode: SuggestedPromptsFetchMode;
    enableUnreadInsights: boolean;
    messagePartFilter: SessionMessagePartFilter;
    enableIntacctFeedbackRow: boolean;
    chatBubbleWidth: string;
    promptButtonStyle: PromptButtonStyle;
    chatBubbleButtonWrap: PromptButtonWrap;
    chatBubbleButtonSize: ButtonSize;
    dateSeparatedInsights: boolean;
    enableSlowProcessingMessage: boolean;
    theme: ClientTheme;
    chatBubbleTheme: ClientTheme;
    showMinimiseButton: boolean;
    showCloseButton: boolean;
    showAiWarning: boolean;
    enableNewChat: boolean;
    enableSingleSession: boolean;
    showPrivacyLink: boolean;
    chatInputNewChatButtonStyle: ButtonStyle;
}
export interface PropUiSettings {
    showSidebar: boolean;
    slideOverSidebar: boolean;
    showSuggestions: boolean;
    showConversationStarter: boolean;
    fetchHistory: boolean;
    showHeading: boolean;
    roundedCorners: boolean;
    enableInsights: boolean;
    enableChat: boolean;
    enableFeedback: boolean;
    showChatInput: boolean;
    enableAutocomplete: boolean;
}
export interface OtherSettings {
    clientProductName: string;
    setClientProductName: (name: string) => void;
    showBackToInsightsButton?: (state: boolean) => false;
    isBackToInsightsButtonVisible?: false;
}
export type ClientConfig = NonPropSettings & PropUiSettings;
export type UiSettings = ClientConfig & OtherSettings;
export type ClientConfigOverrides = Partial<ClientConfig>;
declare const UiSettingsContext: React.Context<UiSettings>;
export declare const UiSettingsProvider: React.Provider<UiSettings>;
export default UiSettingsContext;
