import { BackendSettings } from "../../contexts/BackendContext";
import { UiSettings } from "../../contexts/client/UiSettingsContext";
import { BackendInterface } from "../../contexts/backend/BackendInterface";
import { StoreFetchResult, StoreFetchStatus } from "../../types/StoreFetchStatus";
import { StoreCommonState } from "../../types/StoreCommonState";
export type UsersState = {
    deleteUserFetchStatus: StoreFetchStatus;
    deleteUserFetchResult: StoreFetchResult;
    deletedUserId: string | null;
};
export type UsersActions = {
    deleteUser: (userId: string) => Promise<void>;
    reset: () => void;
};
type UsersStoreType = StoreCommonState & UsersState & UsersActions;
export interface UsersStoreProps {
    uiSettings: UiSettings;
    backendSettings: BackendSettings;
    backendInterface: BackendInterface;
}
export type UsersStore = ReturnType<typeof createUsersStore>;
export declare const createUsersStore: (initProps: UsersStoreProps) => Omit<Omit<Omit<import("zustand").StoreApi<UsersStoreType>, "setState"> & {
    setState<A extends string | {
        type: string;
    }>(partial: UsersStoreType | Partial<UsersStoreType> | ((state: UsersStoreType) => UsersStoreType | Partial<UsersStoreType>), replace?: boolean | undefined, action?: A | undefined): void;
}, "setState"> & {
    setState(nextStateOrUpdater: UsersStoreType | Partial<UsersStoreType> | ((state: import("immer").WritableDraft<UsersStoreType>) => void), shouldReplace?: boolean | undefined, action?: string | {
        type: string;
    } | undefined): void;
}, "subscribe"> & {
    subscribe: {
        (listener: (selectedState: UsersStoreType, previousSelectedState: UsersStoreType) => void): () => void;
        <U>(selector: (state: UsersStoreType) => U, listener: (selectedState: U, previousSelectedState: U) => void, options?: {
            equalityFn?: ((a: U, b: U) => boolean) | undefined;
            fireImmediately?: boolean;
        } | undefined): () => void;
    };
};
export declare const UsersContext: import("react").Context<(Omit<Omit<Omit<import("zustand").StoreApi<UsersStoreType>, "setState"> & {
    setState<A extends string | {
        type: string;
    }>(partial: UsersStoreType | Partial<UsersStoreType> | ((state: UsersStoreType) => UsersStoreType | Partial<UsersStoreType>), replace?: boolean | undefined, action?: A | undefined): void;
}, "setState"> & {
    setState(nextStateOrUpdater: UsersStoreType | Partial<UsersStoreType> | ((state: import("immer").WritableDraft<UsersStoreType>) => void), shouldReplace?: boolean | undefined, action?: string | {
        type: string;
    } | undefined): void;
}, "subscribe"> & {
    subscribe: {
        (listener: (selectedState: UsersStoreType, previousSelectedState: UsersStoreType) => void): () => void;
        <U>(selector: (state: UsersStoreType) => U, listener: (selectedState: U, previousSelectedState: U) => void, options?: {
            equalityFn?: ((a: U, b: U) => boolean) | undefined;
            fireImmediately?: boolean;
        } | undefined): () => void;
    };
}) | null>;
export declare function useUsersStore<T>(selector: (state: UsersState & UsersActions) => T): T;
export declare const useUsersStoreHelpers: () => {
    subscribe: {
        (listener: (selectedState: UsersStoreType, previousSelectedState: UsersStoreType) => void): () => void;
        <U>(selector: (state: UsersStoreType) => U, listener: (selectedState: U, previousSelectedState: U) => void, options?: {
            equalityFn?: ((a: U, b: U) => boolean) | undefined;
            fireImmediately?: boolean;
        } | undefined): () => void;
    };
    getState: () => UsersStoreType;
    setState: (nextStateOrUpdater: UsersStoreType | Partial<UsersStoreType> | ((state: import("immer").WritableDraft<UsersStoreType>) => void), shouldReplace?: boolean | undefined, action?: string | {
        type: string;
    } | undefined) => void;
};
export {};
