import { RenderHookOptions } from "@testing-library/react-hooks";
import { ICopilotRenderWrapperOptions } from "./copilotRender";
export interface ICopilotRenderHookOptions<TProps> extends Omit<RenderHookOptions<TProps>, "wrapper">, ICopilotRenderWrapperOptions {
}
interface NotNullRefObject<T> {
    current: T;
}
declare const copilotRenderHook: <TProps, TResult>(renderCallback: (props: TProps) => TResult, options?: ICopilotRenderHookOptions<TProps> | undefined) => {
    result: NotNullRefObject<TResult>;
    rerender: (rerenderCallbackProps: TProps) => void;
    unmount: () => void;
};
export default copilotRenderHook;
