/*
    This enumeration identifies all current flows that can be configured to define a composite code
    decoding that substitutes for GS1, which can be defined per site, with a default for all sites otherwise.

    The list is sorted alphabetically to make it easier to read.

    It allows the application developer to use the correct value in his page without making a mistake,
    knowing that he can hard-code the value.
*/

export enum BarcodeTransactionFlow {
    interReceipt = 'INTERRECEIPT',
    interTransfer = 'INTERTRANSFER',
    miscellaneousIssue = 'MISCISSUE',
    miscellaneousReceipt = 'MISCRECEIPT',
    pickTicket = 'PICKTICKET',
    purchaseReceipt = 'PURCHASERECEIPT',
    putaway = 'PUTAWAY',
    stockChange = 'STOCKCHANGE',
    stockCount = 'STOCKCOUNT',
    subTransfer = 'SUBTRANSFER',
}
