/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.lint=void 0;const xtrem_cli_lib_1=require("@sage/xtrem-cli-lib"),xtrem_core_1=require("@sage/xtrem-core"),chalk=require("chalk"),eslint_1=require("eslint"),fs=require("fs"),glob_1=require("glob"),path=require("path"),file_1=require("../../utils/file"),getFiles=(e,t,i,r)=>{const s={cwd:t,absolute:true,realpath:true};if(r){const i=path.isAbsolute(r)?r:path.resolve(t,r);if(fs.statSync(i).isFile()){if(i.endsWith(".ts")){if(fs.existsSync(i))return[i];return void(0,xtrem_cli_lib_1.quitWithError)(e,"File is not found.")}return void(0,xtrem_cli_lib_1.quitWithError)(e,`${i} is not a TypeScript file.`)}}else return glob_1.glob.sync(["./lib/**/*.ts","./test/**/*.ts","./test/graphql/**/parameters.json"],{...s,ignore:i?void 0:["./lib/{pages,page-extensions,page-fragments,stickers,client-functions}/**/*.{c,m,}ts"]});return glob_1.glob.sync(["./lib/**/*.ts","./lib-generated/**/*.ts","./test/**/*.ts","./test/graphql/**/parameters.json"],s)};async function getEslintBaseConfig(e,t,i){let r=".cjs";if(!fs.existsSync(`${e}/${i}${r}`))r=".js";const s=await(0,xtrem_core_1.dynamicImport)(`${e}/${i}${r}`);return{baseConfig:s.default??s,fix:t}}const lint=async(e=false,t)=>{const{executionMode:i,dir:r}=xtrem_cli_lib_1.cliContext,s=path.resolve((0,file_1.getResourcesDir)(),".prettierrc"),l=JSON.parse(fs.readFileSync(s,"utf-8")),n=await getEslintBaseConfig(r,e,".eslintrc"),a=n.baseConfig.parserOptions,o=a.project instanceof Array&&a.project.includes("tsconfig-artifacts.json"),c=new eslint_1.ESLint(n),f=new eslint_1.ESLint(await getEslintBaseConfig(r,e,".eslintrc-filename")),_=getFiles(i,r,o,t),u=[];if(!_)return;const p=await c.lintFiles(_);if(e)(0,xtrem_cli_lib_1.printInfo)(i,"Output fixes to disk"),await eslint_1.ESLint.outputFixes(p);const m=await f.lintFiles(_),g=require("prettier");await Promise.all(_.filter((e=>!/\.json$/.test(e))).map((async t=>{const r=await fs.promises.readFile(t,"utf-8"),s=await g.format(r,{...l,filepath:t}),n=s!==r;if(e&&n)(0,xtrem_cli_lib_1.printInfo)(i,`${t} has been reformatted.`),await fs.promises.writeFile(t,s,"utf-8");else if(n)u.push(t)})));const b=[...p,...m];if(b.some((e=>e.messages.some((e=>2===e.severity))))||u.length>0){if(b.forEach((e=>{e.messages.filter((e=>1===e.severity&&e.ruleId)).forEach((t=>{(0,xtrem_cli_lib_1.printWarning)(i,`${e.filePath}:${t.line}:${t.column}: ${t.message} (${t.ruleId})`)})),e.messages.filter((e=>2===e.severity)).forEach((t=>{(0,xtrem_cli_lib_1.printError)(i,`${e.filePath}:${t.line}:${t.column}: ${t.message} (${t.ruleId})`)}))})),u.forEach((e=>{(0,xtrem_cli_lib_1.printError)(i,`prettier (${e})`)})),!e)(0,xtrem_cli_lib_1.printInfo)(i,`Run again with ${chalk.bold("--fix")} to try to fix the issues above.`);(0,xtrem_cli_lib_1.quitWithError)(i,"Some files didn't pass the linter.")}else if(b.forEach((e=>{e.messages.filter((e=>1===e.severity&&e.ruleId)).forEach((t=>{(0,xtrem_cli_lib_1.printWarning)(i,`${e.filePath}:${t.line}:${t.column}: ${t.message} (${t.ruleId})`)}))})),(0,xtrem_cli_lib_1.printSuccess)(i,"All good!"),i===xtrem_cli_lib_1.ExecutionMode.STANDALONE)process.exit(0)};exports.lint=lint;
//# sourceMappingURL=index.js.map