/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.XtremWorker=void 0;const xtrem_core_1=require("@sage/xtrem-core"),xtrem_service_1=require("@sage/xtrem-service"),util_1=require("util"),logger=new xtrem_core_1.Logger(__filename,"cli");class XtremWorker{#r;#e;#s;#t;#i;#o;constructor(r,e){this.initWorkerId=r,this.cluster=e,this.#s=false,this.requestKeys=[],this.#o=r}get workerId(){return this.#o}init(){return this.fork(),this}fork(r){this.#s=false,this.#r=void 0,this.#e=this.cluster.fork({XTREM_WORKER_ID:this.workerId}),this.promise=new Promise(((r,e)=>{this.#t=r,this.#i=e}));const e=1e3*(0,xtrem_core_1.graphQlTimeLimitInSeconds)()-500,s=setTimeout((()=>{this.#i(new Error(`Failed to start worker with worker id ${this.workerId}`))}),e);if(logger.info(`Forked worker for ${this.workerId}(pid: ${this.#e.process.pid})`),this.#e.on("message",(async r=>{if("listening"===r.event&&r.workerId===this.initWorkerId)this.#r=r.port,this.#s=true,clearTimeout(s),this.#t();if("killWorkers"===r.event)await XtremWorker.killWorkers(r.requestSource)})),r&&!this.requestKeys.includes(r))this.requestKeys.push(r)}get worker(){if(this.workerExists)return this.#e;return this.fork(),this.#e}get index(){if(!this.worker)return-1;return this.worker.id}get isReady(){return this.#s}get workerExists(){return null!=this.#e&&!this.#e.isDead()}get port(){if(!this.#r)throw new Error(`[${this.worker}]: port not set.`);return this.#r}static{this.workers={}}static{this.counters={}}static addWorkers(r,e,s,t){if(!this.workers[e])this.workers[e]=[],this.counters[e]=0;for(let i=s;i<t;i+=1)this.workers[e].push(new XtremWorker(e,r).init())}static seedWorker(r,e,s=2){const t=this.workers[e]??[];if(t.length<s){const i=s-t.length;logger.info(`Seeding workers for ${e} with ${i} workers`),this.addWorkers(r,e,0,i)}}static{this.deferredWorkerTimeout={}}static{this.seeded=false}static getMaxWorkers(r){return xtrem_service_1.GraphqlEndpointHooks.getSourceMaxWorkers(r)??xtrem_core_1.ConfigManager.current.server?.worker?.workersPerRequestSource??2}static seedWorkers(r){xtrem_service_1.GraphqlEndpointHooks.getSourcesToSeed().filter((r=>!this.workers[r]||0===this.workers[r].length)).forEach((e=>{const s=this.getMaxWorkers(e);this.seedWorker(r,e,s)})),this.seeded=true}static initializeWorkers(r,e,s){this.addWorkers(r,e,0,s)}static async sleep(r){await(0,util_1.promisify)(setTimeout)(r)}static async fillRequestSource(r,e){const s=this.getMaxWorkers(e);if(this.workers[e]&&this.workers[e].length===s)return true;let t=0;for(;!this.seeded;)if(await this.sleep(100),t+=1,t>10)return false;if(!this.workers[e]||0===this.workers[e].length)this.initializeWorkers(r,e,1);if(this.workers[e].length<s)if(!this.deferredWorkerTimeout[e]){const t=s-this.workers[e].length;this.deferredWorkerTimeout[e]=setTimeout((()=>{XtremWorker.initializeWorkers(r,e,t),delete XtremWorker.deferredWorkerTimeout[e]}))}return true}static async getNextWorker(r,e,s){if(null!=this.killWorkersPromises[e])await this.killWorkersPromises[e];if(!await this.fillRequestSource(r,e))return;let t=this.workers[e].find((r=>r.requestKeys.includes(s)));if(null==t){if(t=this.workers[e][this.counters[e]],!t)if(!await this.fillRequestSource(r,e))return;if(this.counters[e]=(this.counters[e]+1)%this.workers[e].length,s&&!t.requestKeys.includes(s))t.requestKeys.push(s)}if(!t.workerExists)t.fork(s);if(!t.isReady)return t.promise.then((()=>t)).catch((r=>void logger.error(r)));return Promise.resolve(t)}static{this.killWorkersPromises={}}static{this.workerKillFunnel=(0,xtrem_core_1.funnel)(1)}static async killWorkers(r){if(null!=this.killWorkersPromises[r])await this.killWorkersPromises[r];this.killWorkersPromises[r]=this.workerKillFunnel((()=>{if(this.workers[r]){const e=this.workers[r].slice();this.workers[r]=[],e.forEach((r=>{if(logger.info(`killing worker: workerId=${r.#o}, pid = ${r.#e.process.pid}`),r.workerExists)try{if(r.#e.process.pid)process.kill(r.#e.process.pid),logger.info(`killed worker workerId=${r.#o}, pid = ${r.#e.process.pid}`)}catch(e){logger.error(`Error killing worker ${r.workerId} ${e.message}`)}}))}return Promise.resolve()})),await this.killWorkersPromises[r]}}exports.XtremWorker=XtremWorker;
//# sourceMappingURL=worker.js.map