/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.X3ServiceAgentGenerateController=void 0,exports.pingAgent=pingAgent,exports.requestCallExternalGeneration=requestCallExternalGeneration;const xtremCliCompile=require("@sage/xtrem-cli-compile"),xtrem_cli_lib_1=require("@sage/xtrem-cli-lib"),xtrem_core_1=require("@sage/xtrem-core"),xtrem_x3_dictionary_1=require("@sage/xtrem-x3-dictionary"),fs=require("fs-extra"),jszip=require("jszip"),path=require("path"),util_1=require("util"),loggers_1=require("../loggers"),logger=loggers_1.loggers.service;class X3ServiceAgentGenerateController{static async translationGeneration(e,n,a,o,t){const r=await(0,xtrem_core_1.asyncArray)(e).map((async e=>{const r=[n,e.type],i=path.join(...r),s=path.join(i,path.basename(e.name)),l=new xtrem_x3_dictionary_1.X3TranslationGenerator(a,s,e.name,o,t);return await l.init(),l})).toArray();await Promise.all(r.map((e=>(logger.info(`Generating translations for ${e.packageName} into ${e.dir}`),e.generateTranslation()))))}static async packageGeneration(e,n,a,o,t,r,i){xtrem_x3_dictionary_1.X3PackageGenerator.clearCache(),await xtrem_x3_dictionary_1.X3PackageGenerator.preLoadPackageData(e,n,a);const s=await(0,xtrem_core_1.asyncArray)(r).map((async o=>{const r=[t,o.type],s=path.join(...r),l=path.join(s,path.basename(o.name));xtrem_x3_dictionary_1.X3PackageGenerator.ensurePackageStructureExists(s,{name:o.name,version:i,serviceName:a,isCustom:!!o.isCustom,isHidden:o.isHidden});const c=new xtrem_x3_dictionary_1.X3PackageGenerator(l,o.name,e,a,n);return await c.init(),c})).toArray();if(await Promise.all(s.map((e=>(logger.info(`Generating ${e.metadata.name} into ${e.dir}`),e.generate())))),o)logger.info("Generating main package"),xtrem_x3_dictionary_1.X3PackageGenerator.generateMainPackage(t,i,a)}static async unzipPackage(e,n){logger.info(`Unzipping ZIP file to temp location ${n}`);const a=await jszip.loadAsync(e);await Promise.all(Object.keys(a.files).map((async e=>{const o=a.files[e];if(o.dir)return;const t=await o.async("nodebuffer"),r=path.join(n,e);await fs.ensureDir(path.dirname(r)),await fs.writeFile(r,t)})))}static overridePackages(e,n){let a="";if(fs.pathExistsSync(e)){fs.readdirSync(e,{withFileTypes:true}).filter((e=>e.isDirectory())).map((e=>e.name)).forEach((o=>{const t=path.join(e,o,"package.json");if(fs.pathExistsSync(t)){const r=fs.readJsonSync(t);if(r.name){a=r.name;const t=n.find((e=>e.name===a));if(t){if(logger.info(`Package ${a} found in addonsPackages`),fs.pathExistsSync(t.addonGenerateTempTypePath))fs.removeSync(t.addonGenerateTempTypePath);fs.copySync(path.join(e,o),path.normalize(t.addonGenerateTempTypePath))}else logger.warn(`Package ${a} not found in addonsPackages`)}}}))}else logger.warn(`Not found: ${e} to read package.json`)}static copyAddonsToTempLocation(e){e.forEach((e=>{fs.readdirSync(e.addonFolderOwnerPath).forEach((n=>{const a=path.join(e.addonFolderOwnerPath,n),o=path.join(e.addonGenerateTempTypePath,n);fs.copySync(a,o)}))}))}static copyAddOnsFromTempLocationToOriginalLocation(e){if(fs.existsSync(e.addonGenerateTempTypePath))fs.ensureDirSync(e.addonFolderOwnerPath),fs.copySync(e.addonGenerateTempTypePath,e.addonFolderOwnerPath,{dereference:true})}static async zipFileHandling(e,n,a){logger.info(`Write ZIP file to temp location ${a}`),await fs.writeFile(a,e),await this.unzipPackage(e,n)}static rollbackAddonsFolder(e,n){if(fs.existsSync(e))logger.warn(`Removing new add-ons folder on path ${e}`),fs.removeSync(e);else logger.error(`New add-ons folder on path ${e} does not exist - skipping remove`);if(fs.existsSync(n))logger.warn(`Renaming add-ons folder on path ${n} to ${e}`),fs.renameSync(n,e);else logger.error(`Add-ons folder on path ${n} does not exist - skipping rename`)}static prepareTempDir(e){if(fs.existsSync(e))logger.info(`Cleaning temp location ${e}`),fs.emptyDirSync(e);else logger.info(`Creating temp location ${e}`),fs.ensureDirSync(e)}static async sleep(e){await(0,util_1.promisify)(setTimeout)(e)}static addAddonPathForPackage(e,n,a){return e.map((e=>(e.addonGenerateTempTypePath=path.join(n,e.type,path.basename(e.name)),e.addonFolderOwnerPath=path.join(a,path.normalize(e.name)),e)))}static async externalGeneration(e,n,a,o,t,r){const i=process.cwd(),s=e.addOns?.folder,l=path.join(i,"add-ons"),c=s??l,g=n?path.join(c,n):c;logger.info(`Add-ons folder path: ${g}`);const p=Date.now(),d=path.join(i,"x3-builder-agent"),f=path.join(d,n).toLowerCase(),m=this.addAddonPathForPackage(t,f,g),y=`${g}_${p}`;let h=false;try{if(logger.info(`Temporary folder path: ${f}`),this.prepareTempDir(f),fs.existsSync(g))logger.info(`Copying add-ons from ${g} to ${f}`),this.copyAddonsToTempLocation(m);else logger.warn(`Add-ons folder path ${g} does not exist - skipping copy`);if(void 0!==r){const e=`${n}_${p}`,a=path.join(f,e),o=path.join(f,`${e}.zip`);await this.zipFileHandling(r,a,o),this.overridePackages(a,m)}logger.info(`Generating packages for ${n} with service ${a} to ${f}`);const e=xtrem_x3_dictionary_1.X3PackageGenerator.readPackageJson(i);logger.info(`Version: ${e.version}`),await this.packageGeneration(o,n,a,false,f,m,e.version),logger.info(`Compiling generated packages for ${n} with service ${a} in ${f}`);const t=m.map((e=>e.name.split("/")[1]));if(process.env.XTREM_I18N_TO_BASE="1",await(0,xtrem_core_1.asyncArray)(t).forEach((async e=>{const n=path.join(f,"application",e,"package.json");if(await fs.exists(n))logger.info(`Compiling package ${e} in ${f}`),xtrem_cli_lib_1.cliContext.dir=path.join(f,"application",e),xtrem_cli_lib_1.cliContext.executionMode=xtrem_cli_lib_1.ExecutionMode.INTEGRATED,await xtremCliCompile.compile({skipClient:false,skipCop:true,skipServer:false,skipClean:false,skipDts:false,skipApiClient:false,force:false,isInstrumented:false,isBinary:false,isProd:false,isUsingReferences:false,isOnlyApi:false,isOnlyChanged:false,skipApplication:true,skipClientTypeCheck:true}),logger.info(`Package ${e} compiled in ${f}`);else logger.warn(`Not found package.json in ${n}`)})),await this.sleep(3e3),logger.info(`Generating translations for ${n} with service ${a} to ${f}`),await this.translationGeneration(m,f,n,o,a),fs.existsSync(g))logger.info(`Renaming add-ons folder on path ${g} to ${y}`),fs.renameSync(g,y);else logger.warn(`Add-ons folder on path ${g} does not exist - skipping rename`);if(fs.existsSync(f))logger.info(`Copying add-ons from ${f} to ${g}`),m.forEach((e=>{this.copyAddOnsFromTempLocationToOriginalLocation(e)}));else logger.warn(`Temp location ${f} does not exist - skipping copy`);if(h=true,fs.existsSync(y))logger.info(`Removing add-ons-temp folder on path ${y}`),fs.removeSync(y);else logger.warn(`Add-ons-temp folder on path ${y} does not exist - skipping remove`)}catch(e){this.rollbackAddonsFolder(g,y),logger.error((()=>e.stack))}finally{if(fs.existsSync(d))logger.info(`Removing xBuilderAgentTempDirPath folder on path ${d}`),fs.removeSync(d);else logger.warn(`xBuilderAgentTempDirPath folder on path ${d} does not exist - skipping remove`);if(process.send&&h)logger.info(`Sending KILL message to worker parent process for worker ${n}`),process.send({event:"killWorkers",requestSource:n},void 0,void 0,(e=>{if(e)logger.error((()=>`Error sending KILL message to worker parent process for worker ${n}: ${e.message}`))}))}}}function pingAgent(e,n){n.json({})}exports.X3ServiceAgentGenerateController=X3ServiceAgentGenerateController;const requestFunnel={};async function requestCallExternalGeneration(e,n){const a=n.locals.config??xtrem_core_1.ConfigManager.current,o=e.get("x3-folder-name")??n.locals.contextValues.folderName??a.x3?.development?.folderName,t="x3",r=xtrem_x3_dictionary_1.X3DictionaryHelper.getConnectionPool(n.locals?.config?.x3.sql??a.x3.sql);logger.info(`Requesting external generation for ${o} with service ${t}`);let i=e.body;if(Buffer.isBuffer(e.body))logger.info("ZIP file received from request");else i=void 0,logger.info("No ZIP file received from request");const s=(await xtrem_x3_dictionary_1.X3PackageGenerator.getPackages(r,o,t,{specificOnly:true})).filter((e=>"@sage"!==(e.name.split("/").shift()??"")));if(0===s.length)n.status(400).json({message:"No packages found."});if(logger.info(`Found ${s.length} packages to generate`),!requestFunnel[o])requestFunnel[o]=(0,xtrem_core_1.funnel)(1);requestFunnel[o]((()=>X3ServiceAgentGenerateController.externalGeneration(a,o,t,r,s,i))),n.status(200).json({message:"Deployment started"})}
//# sourceMappingURL=x3-service-agent-generate-controller.js.map