/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.getDashboardSchemaFragment=void 0;const graphql_1=require("graphql"),concurrency_utils_1=require("../../concurrency-utils"),core_hooks_1=require("../../runtime/core-hooks"),dashboardItemPosition=new graphql_1.GraphQLObjectType({name:"_DashboardItemPosition",fields:{x:{type:graphql_1.GraphQLInt},y:{type:graphql_1.GraphQLInt},w:{type:graphql_1.GraphQLInt},h:{type:graphql_1.GraphQLInt},breakpoint:{type:new graphql_1.GraphQLEnumType({name:"_DashboardItemPositionBreakpoint",values:{xxs:{value:"xxs"},xs:{value:"xs"},sm:{value:"sm"},md:{value:"md"},lg:{value:"lg"}}})}}}),dashboardItem=new graphql_1.GraphQLObjectType({name:"_DashboardItem",fields:{_id:{type:graphql_1.GraphQLString},type:{type:graphql_1.GraphQLString},settings:{type:graphql_1.GraphQLString},positions:{type:new graphql_1.GraphQLList(dashboardItemPosition)}}}),dashboardType=new graphql_1.GraphQLObjectType({name:"_Dashboard",fields:{_id:{type:graphql_1.GraphQLString},title:{type:graphql_1.GraphQLString},description:{type:graphql_1.GraphQLString},icon:{type:graphql_1.GraphQLString},children:{type:new graphql_1.GraphQLList(dashboardItem)},isTemplate:{type:graphql_1.GraphQLBoolean}}}),dashboardNoChildrenType=new graphql_1.GraphQLObjectType({name:"_DashboardWithoutChildren",fields:{_id:{type:graphql_1.GraphQLString},title:{type:graphql_1.GraphQLString},listIcon:{type:graphql_1.GraphQLString},description:{type:graphql_1.GraphQLString}}}),widgetType=new graphql_1.GraphQLObjectType({name:"_Widget",fields:{key:{type:graphql_1.GraphQLString},title:{type:graphql_1.GraphQLString}}}),dashboardNoChildrenListType=new graphql_1.GraphQLList(dashboardNoChildrenType),widgetListType=new graphql_1.GraphQLList(widgetType),dashboardRootType=new graphql_1.GraphQLObjectType({name:"_DashboardRoot",fields:{selectedDashboard:{type:dashboardType,args:{group:{type:graphql_1.GraphQLString}},resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(()=>core_hooks_1.CoreHooks.createDashboardManager(r.application).getSelectedDashboard(r,e.group)))},availableDashboards:{type:dashboardNoChildrenListType,args:{group:{type:graphql_1.GraphQLString}},resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(async()=>{const a=await core_hooks_1.CoreHooks.createDashboardManager(r.application).getDashboardList(r,e.group);return Object.keys(a).map((e=>({_id:e,title:a[e]})))}))},templates:{type:dashboardNoChildrenListType,args:{group:{type:graphql_1.GraphQLString}},resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(()=>core_hooks_1.CoreHooks.createDashboardManager(r.application).getFactoryDashboardList(r,e.group)))},getWidgetCategories:{type:widgetListType,resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(()=>core_hooks_1.CoreHooks.createDashboardManager(r.application).getWidgetCategories(r)))},canEditDashboards:{type:graphql_1.GraphQLBoolean,resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(()=>core_hooks_1.CoreHooks.createDashboardManager(r.application).canEditDashboards(r)))}}}),updateDashboardLayoutMutation={type:dashboardType,args:{dashboardId:{type:new graphql_1.GraphQLNonNull(graphql_1.GraphQLString)},layout:{type:new graphql_1.GraphQLNonNull(graphql_1.GraphQLString)}},resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(()=>{const a=JSON.parse(e.layout);return r.application.requestFunnel((()=>r.withChildContext((r=>core_hooks_1.CoreHooks.createDashboardManager(r.application).updateDashboardLayout(r,e.dashboardId,a)),{isolationLevel:"low"})))}))},updateWidgetSettingsMutation={type:graphql_1.GraphQLBoolean,args:{dashboardItemId:{type:new graphql_1.GraphQLNonNull(graphql_1.GraphQLString)},settings:{type:new graphql_1.GraphQLNonNull(graphql_1.GraphQLString)}},resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(async()=>{const a=JSON.parse(e.settings);return await r.application.requestFunnel((()=>r.withChildContext((r=>core_hooks_1.CoreHooks.createDashboardManager(r.application).updateDashboardItemSettings(r,e.dashboardItemId,a)),{isolationLevel:"low"}))),true}))},createDashboardMutation={type:dashboardType,args:{group:{type:graphql_1.GraphQLString}},resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(()=>r.application.requestFunnel((()=>r.withChildContext((a=>core_hooks_1.CoreHooks.createDashboardManager(a.application).createDashboard(a,e.group)),{isolationLevel:"low"})))))},deleteDashboardMutation={type:graphql_1.GraphQLBoolean,args:{dashboardId:{type:new graphql_1.GraphQLNonNull(graphql_1.GraphQLString)}},resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(()=>r.application.requestFunnel((()=>r.withChildContext((a=>core_hooks_1.CoreHooks.createDashboardManager(a.application).deleteDashboard(a,e.dashboardId)),{isolationLevel:"low"})))))},selectDashboardMutation={type:dashboardType,args:{dashboardId:{type:new graphql_1.GraphQLNonNull(graphql_1.GraphQLString)},group:{type:graphql_1.GraphQLString}},resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(()=>r.application.requestFunnel((()=>r.withChildContext((a=>core_hooks_1.CoreHooks.createDashboardManager(a.application).setSelectedDashboard(a,e.dashboardId,e.group)),{isolationLevel:"low"})))))},cloneDashboardMutation={type:dashboardType,args:{dashboardId:{type:new graphql_1.GraphQLNonNull(graphql_1.GraphQLString)}},resolve:(a,e,r)=>(0,concurrency_utils_1.runResolver)(r,(()=>r.application.requestFunnel((()=>r.withChildContext((a=>core_hooks_1.CoreHooks.createDashboardManager(a.application).cloneDashboard(a,e.dashboardId)),{isolationLevel:"low"})))))},dashboardMutationType=new graphql_1.GraphQLObjectType({name:"_DashboardRootMutation",fields:{updateWidgetSettings:updateWidgetSettingsMutation,updateDashboardLayout:updateDashboardLayoutMutation,createDashboard:createDashboardMutation,cloneDashboard:cloneDashboardMutation,deleteDashboard:deleteDashboardMutation,selectDashboard:selectDashboardMutation}}),getDashboardSchemaFragment=()=>({queries:{dashboard:{type:dashboardRootType,resolve:()=>({})}},mutations:{dashboard:{type:dashboardMutationType,resolve:()=>({})}}});exports.getDashboardSchemaFragment=getDashboardSchemaFragment;
//# sourceMappingURL=dashboard-fragment.js.map