/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.PagingFilter=void 0;const xtrem_async_helper_1=require("@sage/xtrem-async-helper"),xtrem_shared_1=require("@sage/xtrem-shared"),xtrem_ts_to_sql_1=require("@sage/xtrem-ts-to-sql"),_=require("lodash"),lodash_1=require("lodash"),runtime_1=require("../../runtime"),core_hooks_1=require("../../runtime/core-hooks"),node_factory_utils_1=require("../../runtime/node-factory-utils"),property_type_1=require("../types/property-type");class PagingFilter{static getRestrictedPropertyNames(e,r,t){return(0,xtrem_async_helper_1.asyncArray)(r.properties.filter((e=>t.includes(e.name)))).filter((async r=>!await r.isEnabledByServiceOptions(e)||!await r.isAuthorized(e))).map((e=>e.name)).toArray()}static async extractAllowedFilterProperties(e,r,t,i=[]){const a=await PagingFilter.getRestrictedPropertyNames(e,r,Object.keys(t));return(0,lodash_1.intersection)(Object.keys(t),a).map((e=>[...i,e])).forEach((r=>e.addRestrictedFilterDiagnose(r))),(0,lodash_1.omit)(t,a)}static verifyFunctionValue(e,r,t){const i=[],a=new xtrem_ts_to_sql_1.Converter(e,r,{resolveColumnName(e,r,t){const i=r.factory.propertiesByName[t];return{path:r.path?`${r.path}.${t}`:t,alias:r.alias,factory:r.factory,type:i?.type||"unknown",property:i,sql:t}},resolveTableName:e=>e.table?.sqlTableName||e.tableName||e.name,resolveLiteral:e=>"string"==typeof e?e:`${e}`},{dialect:"postgres",beforeWalkCallback:e=>{i.push(e)}});if(a.convertFunctionBody(a.convertThisExpression(),t),i.length>0){const t=i.reduce(((e,r)=>{if(null!=_.get(e,r))return e;return _.set(e,r,{}),e}),{}),walker=(r,t)=>{if(_.isEmpty(r))return true;return(0,xtrem_async_helper_1.asyncArray)(Object.keys(r)).every((async i=>{const a=t.propertiesByName[i];if(!a){if("object"==typeof r[i])return walker(r[i],t);return true}if(await a.isEnabledByServiceOptions(e)&&await a.isAuthorized(e)){if("object"==typeof r[i]&&a.isForeignNodeProperty())return walker(r[i],a.targetFactory);return true}return false}))};return walker(t,r)}return false}static applyAllowedFilters(e,r,t,i,a){return(0,xtrem_async_helper_1.asyncArray)(Object.keys(t)).reduce((async(n,s)=>{const o=t[s],l=r.propertiesByName[s];let c;if(!l){if("_"!==s[0])throw new xtrem_shared_1.DataInputError(`${r.name}.${s}: Property not found`);if("_regex"===s||"_options"===s){if(!(0,runtime_1.isScalar)(o))throw new xtrem_shared_1.DataInputError(`Invalid value for ${s} on ${i.join(".")}`);c=String(o)}else if("_fn"===s)if(await this.verifyFunctionValue(e,r,t[s]))c=String(o);else e.addRestrictedFilterDiagnose([...i,s]);else c=await PagingFilter.convertFilter(e,r,o,[...i,s],a)}else if(l.isReferenceProperty()&&o&&(0,runtime_1.isCompound)(o)||l.isCollectionProperty()||l.isReferenceArrayProperty()){const r=l.targetFactory;if(l.isCollectionProperty()&&"sql"===r.storage&&!l.reverseReference)throw l.inputError("Nested filter on collection property without reverse reference is not supported");c=await PagingFilter.convertFilter(e,r,o,[...i,s])}else c=await PagingFilter.convertFilter(e,r,o,[...i,s],l);if(void 0!==c)n[s]=c;return n}),{})}static async convertFilter(e,r,t,i=[],a){if(!t)return t;if(Array.isArray(t)){if(0===t.length)return[];const n=(await(0,xtrem_async_helper_1.asyncArray)(t).map(((t,n)=>PagingFilter.convertFilter(e,r,t,[...i,String(n)],a))).toArray()).filter((e=>void 0!==e));return 0===n.length?void 0:n}if(Object.keys(t).find((e=>"_customData"===e))){const t=await(core_hooks_1.CoreHooks.customizationManager?.getCustomFields(e,[r.fullName]));if(t)Object.assign(e.customFields,t)}if((0,runtime_1.isScalar)(t)||a?.isArrayProperty()&&Array.isArray(t)){if(a)return property_type_1.PropertyType.getInputValue(e,t,r,a);return t}if(a?.type&&["json","date","dateRange","datetimeRange","integerRange","decimalRange"].includes(a.type))return t;const n=await PagingFilter.extractAllowedFilterProperties(e,r,t,i),s=await PagingFilter.applyAllowedFilters(e,r,n,i,a);if(0!==i.length&&0===Object.keys(s).length)return;return s}static async parseFilter(e,r,t){const i=t&&(0,node_factory_utils_1.friendlyJsonParse)(t);if("string"==typeof i){const r='Invalid filter (parsed value is a string, expected an object): "{{filter}}"',t=e.localize("@sage/xtrem-core/invalid-filter",r,{filter:`"${i}"`}).replace(/&quot;/g,'"').replace(/&#x27;/g,"'");throw new xtrem_shared_1.DataInputError(t)}return await PagingFilter.convertFilter(e,r,i)}}exports.PagingFilter=PagingFilter;
//# sourceMappingURL=paging-filter.js.map