/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.CustomMetrics=exports.CustomCounters=exports.allMetricsEnabled=void 0;const xtrem_log_1=require("@sage/xtrem-log"),xtrem_shared_1=require("@sage/xtrem-shared"),express=require("express"),perf_hooks_1=require("perf_hooks"),prom_client_1=require("prom-client"),EventEmitter=require("node:events"),logger=xtrem_log_1.Logger.getLogger(__filename,"metrics");exports.allMetricsEnabled=(0,xtrem_shared_1.isEnvVarTrue)(process.env.XTREM_ALL_METRICS_ENABLED);const nodeJsMetricsEnabled=exports.allMetricsEnabled||(0,xtrem_shared_1.isEnvVarTrue)(process.env.XTREM_NODEJS_METRICS_ENABLED),ruleMetricsEnabled=exports.allMetricsEnabled||(0,xtrem_shared_1.isEnvVarTrue)(process.env.XTREM_RULE_METRICS_ENABLED),graphQlMetricsEnabled=exports.allMetricsEnabled||(0,xtrem_shared_1.isEnvVarTrue)(process.env.XTREM_GRAPHQL_METRICS_ENABLED),sqlMetricsEnabled=exports.allMetricsEnabled||(0,xtrem_shared_1.isEnvVarTrue)(process.env.XTREM_SQL_METRICS_ENABLED);if(nodeJsMetricsEnabled)(0,prom_client_1.collectDefaultMetrics)({register:prom_client_1.register});class CustomCounters{#e;#r;constructor(e){const{labelNames:r,name:t,help:s}=e;this.#e=e.isEnabled,this.#r={calls:new prom_client_1.Counter({name:`xtrem_${t}_calls`,help:`Number of calls of ${s}`,labelNames:r}),errors:new prom_client_1.Counter({name:`xtrem_${t}_errors`,help:`Number of errors of ${s}`,labelNames:r}),totalMillis:new prom_client_1.Counter({name:`xtrem_${t}_total_millis`,help:`Total duration for ${s} (in milliseconds)`,labelNames:r})}}get isEnabled(){return this.#e}increment(e,r,t){if(this.#r.calls.labels(e).inc(1),t)this.#r.errors.labels(e).inc(1);this.#r.totalMillis.labels(e).inc(r)}async withMetrics(e,r){if(!this.#e)return r();const t=perf_hooks_1.performance.now();let s=false;try{return await r()}catch(e){throw s=true,e}finally{this.increment(e,perf_hooks_1.performance.now()-t,s)}}wrapReader(e,r){if(!this.#e)return r;const t=Object.create(r);return t.read=()=>0===r.readCount?this.withMetrics(e,(()=>r.read())):r.read(),t}}exports.CustomCounters=CustomCounters;class CustomMetrics{static{this.emitter=new EventEmitter}static{this.rules=new CustomCounters({name:"rules",help:"a business rule",labelNames:["nodeName","propertyName","ruleName"],isEnabled:ruleMetricsEnabled})}static{this.graphql=new CustomCounters({name:"graphql",help:"a graphql operation",labelNames:["nodeName","operationName","operationKind"],isEnabled:graphQlMetricsEnabled})}static{this.metadata=new CustomCounters({name:"metadata",help:"a metadata operation",labelNames:["nodeName","operationName","operationKind"],isEnabled:graphQlMetricsEnabled})}static{this.sql=new CustomCounters({name:"sql",help:"a sql statement",labelNames:["nodeName","statementKind"],isEnabled:sqlMetricsEnabled})}static get expressApp(){const e=express();return e.get("/",(async(e,r)=>{logger.verbose((()=>"Received HTTP GET on /metrics endpoint"));try{r.set("Content-Type",prom_client_1.register.contentType),r.end(await prom_client_1.register.metrics()),this.emitter.emit("collected")}catch(e){logger.error(e),r.status(500).send()}})),e}}exports.CustomMetrics=CustomMetrics;
//# sourceMappingURL=custom-metrics.js.map