/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.PostgresPool=void 0,exports.create=create;const xtrem_async_helper_1=require("@sage/xtrem-async-helper"),xtrem_postgres_1=require("@sage/xtrem-postgres"),xtrem_x3_sql_1=require("@sage/xtrem-x3-sql"),xtremToPostgreSql={boolean:{type:"BOOL",default:null},enum:{type:"INT2",default:null},short:{type:"INT4",default:null},reference:{type:"INT8",default:null},integer:{type:"INT8",default:null},integerRange:{type:"INT8RANGE",default:null},decimalRange:{type:"NUMRANGE",default:null},date:{type:"DATE",default:null},dateRange:{type:"DATERANGE",default:null},datetimeRange:{type:"TSTZRANGE",default:null},time:{type:"TIME",default:null},datetime:{type:"TIMESTAMPTZ(3)",default:null},float:{type:"FLOAT4",default:null},decimal:{type:"NUMERIC",default:null},double:{type:"FLOAT8",default:null},binaryStream:{type:"BYTEA",default:"''"},textStream:{type:"TEXT",default:"''"},string:{type:"VARCHAR",default:"''"},uuid:{type:"UUID",default:null},byte:{type:"INT2",default:null},binary:{type:"BYTEA",default:null},json:{type:"JSONB",default:null},integerArray:{type:"_INT8",default:null},enumArray:{type:"_INT2",default:null},referenceArray:{type:"_INT8",default:null},stringArray:{type:"_VARCHAR",default:null}},postgreSqlToXtrem={};Object.keys(xtremToPostgreSql).forEach((e=>{const t=xtremToPostgreSql[e];postgreSqlToXtrem[t.type]={name:e,default:t.default}})),postgreSqlToXtrem.TIMESTAMP={name:"datetime",default:null},postgreSqlToXtrem.TSRANGE={name:"datetimeRange",default:null},postgreSqlToXtrem["TIMESTAMPTZ(6)"]={name:"datetime",default:null};class PostgresPool extends xtrem_x3_sql_1.Pool{#e;constructor(e,t){if(super(e,t),this.dialect="postgres",!e.hostname)throw new Error("Hostname is required in the configuration");if(!e.database)throw new Error("Database is required in the configuration");if(!e.password)throw new Error("Password is required in the configuration");this.#e=new xtrem_postgres_1.ConnectionPool("user",e)}param(e){return`$${e+1}`}checkConnection(e){return e}createConnection(){return this.logger&&this.logger.debug((()=>"connecting ...")),this.#e.allocConnection("x3-services")}closeConnection(e){try{this.#e.releaseConnection(e)}catch(e){this.logger?.error(e.stack)}}execute(e,t,n,r){let a,o,s,l;if("string"==typeof e)a=null,o=e,s=t,l=n;else a=e,o=t,s=n,l=r;if(null==a)return this.withConnection((e=>this.execute(e,o,s,l)));return this.#e.execute(a,o,s,l)}createReader(e,t,n,r){return this.logger&&this.logger.verbose((()=>`[${this.config.user}] Reader ${t}, args=${n?n.join(","):""}`)),this.#e.createReader(e,t,n,r)}reader(e,t=[]){return new xtrem_async_helper_1.AsyncArrayReader((()=>this.withConnection((n=>this.createReader(n,e,t,{}).readAll()))))}tableExists(e,t){const n="SELECT to_regclass($1);";return this.withConnection((async r=>{const a=await this.execute(r,n,[`${t}.${e}`]);return!!(a.length&&null!=a[0].to_regclass)}))}readTables(e){const t=`SELECT table_name\n                        FROM information_schema.tables\n                        WHERE table_schema = '${e}'\n                        AND table_type = 'BASE TABLE';`;return this.reader(t,[e]).map((t=>({schemaName:e,tableName:t.TABLE_NAME}))).toArray()}_sqlRowToColumnDefinition(e){const t={name:e.column_name,isNullable:"NO"!==e.is_nullable};switch(t.default=e.column_default??null,e.udt_name){case"int4":t.type="short";break;case"_int8":t.type="ARRAY"===e.data_type?"integerArray":"integer";break;case"varchar":case"string":t.type="string",t.maxLength=parseInt(e.character_maximum_length,10);break;case"numeric":t.type="decimal",t.precision=parseInt(e.numeric_precision,10),t.scale=parseInt(e.numeric_scale,10);break;default:if(e.udt_name?.toUpperCase().startsWith("TIMESTAMPTZ"))e.udt_name=`${e.udt_name}(${e.datetime_precision})`;if(t.type=postgreSqlToXtrem[e.udt_name.toUpperCase()]?.name,null==t.type)throw new Error(`Unmanaged column type. column=${e.column_name}, data_type=${e.data_type}, udt_name=${e.udt_name}`)}return t}static _transformSqlArgs(e){const t=[e.schemaName];if(e.tableName)t.push(e.tableName);return t}async fillColumnInfos(e,t){const n=`SELECT c.table_name, c.udt_name, c.column_name, c.data_type, c.character_maximum_length, c.numeric_precision,\n                c.numeric_scale, c.datetime_precision, c.is_nullable, c.column_default\n                FROM information_schema.columns c\n                WHERE c.table_schema = $1 ${t.tableName?" AND c.table_name = $2":""}\n                ORDER BY c.table_name, c.ordinal_position`;await this.withConnection((async r=>{const buildColumn=e=>this._sqlRowToColumnDefinition(e);await this.createReader(r,n,PostgresPool._transformSqlArgs(t),{logLevel:"debug"}).forEach((t=>{e.columns=e.columns??[],e.columns.push(buildColumn(t))}))}))}static parseIndexDefinition(e,t){if(!t)return[];const n=t.indexOf("("),r=t.lastIndexOf(")");if(n<0||r<0)throw new Error(`Could not parse index definition '${t}'`);const a=t.slice(n+1,r);if(!a)throw new Error(`Could not parse index definition '${t}'`);const o=[],s=a.length;let l=0;const i=[];let u=0;for(u=0;u<s;u++)if("("===a[u])i.push(u);else if(")"===a[u]){if(null==i.pop())throw Error(`bad index expression for ${e} near ${a.substring(l,u)}`)}else if(0===i.length)if(","===a[u]){for(o.push(a.substring(l,u));" "===a[u+1];)u++;l=u+1}if(l>=s)throw Error(`index expression of $${e} does not end correctly near ${a.substring(s-5,s)}`);return o.push(a.substring(l,u)),o.map((t=>{const n=/^(?:([\w_.]+_coalesce\(([\w_"]+)\)|COALESCE\(([\w_"]+), ([\w\s()'^:-]+)?\))|([\w_"]+))(?:\s+(DESC|ASC))?$/.exec(t);if(!n)throw new Error(`Could not parse column definition '${t}' of index ${e} on '${a}'`);return{name:(n[2]||n[3]||n[5]).replace(/"/g,""),ascending:"DESC"!==n[6],expression:n[1]}}))}async fillIndexInfos(e,t){const n=`SELECT c.tablename table_name, c.indexname index_name, c.indexdef index_def FROM pg_indexes c\n                          WHERE c.schemaname = $1 ${t.tableName?" AND c.tablename = $2":""}\n                          ORDER BY c.tablename, c.indexname;`;await this.withConnection((r=>this.createReader(r,n,PostgresPool._transformSqlArgs(t),{logLevel:"debug"}).forEach((t=>{const n=t.index_name,r=t.index_def,a=PostgresPool.parseIndexDefinition(n,r);e.indexes.push({name:t.index_name,isUnique:r.includes("CREATE UNIQUE INDEX"),columns:a})}))))}async readTableSchema(e,t,n){const r={schemaName:e,tableName:t,columns:[],indexes:[]},a={schemaName:e};if(!n?.skipColumns){const e=performance.now();if(this.logger)this.logger.debug((()=>`Loading columns for table ${t}`));if(await this.fillColumnInfos(r,a),this.logger)this.logger.debug((()=>`Loaded columns for table ${t} in ${performance.now()-e} ms`))}if(!n?.skipIndexes){const e=performance.now();if(this.logger)this.logger.debug((()=>`Loading indexes for table ${t}`));if(await this.fillIndexInfos(r,a),this.logger)this.logger.debug((()=>`Loaded indexes for tables ${t} in ${performance.now()-e} ms`))}return r}getFullTableDefName(e){return this.getFullTableName(e.schemaName,e.tableName)}getFullTableName(e,t,n){const r=e?`"${e}"."${t}"`:`"${t}"`;return n?`${r} ${n}`:r}}function create(e,t){return new PostgresPool(e,t)}exports.PostgresPool=PostgresPool;
//# sourceMappingURL=pool.js.map