/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";var __decorate=this&&this.__decorate||function(e,t,r,o){var s,u=arguments.length,a=u<3?t:null===o?o=Object.getOwnPropertyDescriptor(t,r):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(e,t,r,o);else for(var c=e.length-1;c>=0;c--)if(s=e[c])a=(u<3?s(a):u>3?s(t,r,a):s(t,r))||a;return u>3&&a&&Object.defineProperty(t,r,a),a};Object.defineProperty(exports,"__esModule",{value:true}),exports.TestCustomer=void 0;const xtrem_core_1=require("@sage/xtrem-core"),x3_storage_manager_1=require("../../../lib/storage/x3-storage-manager"),data_types_1=require("../data-types/data-types"),test_customer_type_1=require("../enums/test-customer-type"),test_currency_1=require("./test-currency"),test_customer_category_1=require("./test-customer-category"),test_customer_product_1=require("./test-customer-product"),test_miscellaneous_table_1=require("./test-miscellaneous-table"),test_tax_rule_1=require("./test-tax-rule"),joins={referenceJoins:{category:{code:"category"},billToCustomer:{code:"billToCustomer"},groupCustomer:{code:"groupCustomer"},riskCustomer:{code:"riskCustomer"},currency:{code:"currency"},taxRule:{code:"taxRule"},businessSector:{code:"businessSector",glossaryId:()=>425},prospectOrigin:{code:"prospectOrigin",glossaryId:()=>413}},collectionJoins:{customerProducts:{customer:"code"}}},allowedAccessCodes=async e=>{const t=xtrem_core_1.Context.accessRightsManager;if(null!=t.getUserAccessCodes){const r=await t.getUserAccessCodes(e);if(r){const e=r.filter((e=>e.execution)).map((e=>e.accessCode));return e.push(""),e.length?e:null}}return null};let TestCustomer=class TestCustomer extends xtrem_core_1.Node{};exports.TestCustomer=TestCustomer,__decorate([xtrem_core_1.decorators.stringProperty({columnName:"BPCNUM",isPublished:true,isStored:true,dataType:()=>data_types_1.codeDataType})],TestCustomer.prototype,"code",void 0),__decorate([xtrem_core_1.decorators.stringProperty({columnName:"BPCNAM",isPublished:true,isStored:true,dataType:()=>data_types_1.descriptionDataType})],TestCustomer.prototype,"companyName",void 0),__decorate([xtrem_core_1.decorators.stringProperty({columnName:"BPCSHO",isPublished:true,isStored:true,dataType:()=>data_types_1.descriptionDataType})],TestCustomer.prototype,"shortCompanyName",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"BCGCOD",isPublished:true,isStored:true,isNullable:true,columnType:"string",node:()=>test_customer_category_1.TestCustomerCategory})],TestCustomer.prototype,"category",void 0),__decorate([xtrem_core_1.decorators.enumProperty({columnName:"BPCTYP",isPublished:true,isStored:true,isNullable:true,dataType:()=>test_customer_type_1.testCustomerTypeDataType})],TestCustomer.prototype,"customerType",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"BPCINV",isPublished:true,isStored:true,isNullable:true,columnType:"string",node:()=>TestCustomer})],TestCustomer.prototype,"billToCustomer",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"BPCGRU",isPublished:true,isStored:true,isNullable:true,columnType:"string",node:()=>TestCustomer})],TestCustomer.prototype,"groupCustomer",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"BPCRSK",isPublished:true,isStored:true,isNullable:true,columnType:"string",node:()=>TestCustomer})],TestCustomer.prototype,"riskCustomer",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"BPCSTA",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"isActive",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"PPTFLG",isStored:true,isNullable:true})],TestCustomer.prototype,"isProspect",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"CUR",isPublished:true,isStored:true,isNullable:true,columnType:"string",node:()=>test_currency_1.TestCurrency})],TestCustomer.prototype,"currency",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({isPublished:true,isNullable:true,isStored:true,columnName:"VACBPR",columnType:"string",node:()=>test_tax_rule_1.TestTaxRule})],TestCustomer.prototype,"taxRule",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"CDTISRDAT",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"insuranceDate",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"MTCFLG",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"canBeMatched",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"LNDAUZ",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"isLoanAllowed",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"OCNFLG",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"mustPrintAcknowledgment",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"ORDCLE",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"isOrderClosingAllowed",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"ODL",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"mustContainOneOrderPerDelivery",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"BUS",isPublished:true,isStored:true,isNullable:true,columnType:"string",node:()=>test_miscellaneous_table_1.TestMiscellaneousTable})],TestCustomer.prototype,"businessSector",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"ORIPPT",isPublished:true,isStored:true,isNullable:true,columnType:"string",node:()=>test_miscellaneous_table_1.TestMiscellaneousTable})],TestCustomer.prototype,"prospectOrigin",void 0),__decorate([xtrem_core_1.decorators.integerProperty({columnName:"PITCDT",isPublished:true,isStored:true})],TestCustomer.prototype,"tokenCredit",void 0),__decorate([xtrem_core_1.decorators.integerProperty({columnName:"PITCPT",isPublished:true,isStored:true})],TestCustomer.prototype,"manualAdditionalToken",void 0),__decorate([xtrem_core_1.decorators.integerProperty({columnName:"TOTPIT",isPublished:true,isStored:true})],TestCustomer.prototype,"totalTokenCredit",void 0),__decorate([xtrem_core_1.decorators.integerProperty({columnName:"COTPITRQD",isPublished:true,isStored:true})],TestCustomer.prototype,"necessaryTokensForServiceContract",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"CNTFIRDAT",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"firstContactDate",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"ORDFIRDAT",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"firstOrderDate",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"QUOLASDAT",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"lastQuoteDate",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"CNTLASDAT",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"lastContactDate",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"CNTNEXDAT",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"nextContactDate",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"BELVATSUB",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"isSubjectToTax",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"BPCSNCDAT",isPublished:true,isStored:true,isNullable:true})],TestCustomer.prototype,"initialDateSinceCustomer",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"ELECTINV",isStored:true,isNullable:true,isPublished:true})],TestCustomer.prototype,"isEfatElectronicInvoicingAllowed",void 0),__decorate([xtrem_core_1.decorators.collectionProperty({columnName:"ITU",isPublished:true,isMutable:true,node:()=>test_customer_product_1.TestCustomerProduct})],TestCustomer.prototype,"customerProducts",void 0),exports.TestCustomer=TestCustomer=__decorate([xtrem_core_1.decorators.node({tableName:"BPCUSTOMER",package:"xtrem-x3-master-data",storage:"external",isPublished:true,canRead:true,canSearch:true,canCreate:false,canUpdate:false,keyPropertyNames:["code"],indexes:[{orderBy:{code:1},isUnique:true,isNaturalKey:true}],getFilters:async e=>"ADMCA"===(await e.user)?.userName?[{isActive:false}]:[{isActive:true}],externalStorageManager:new x3_storage_manager_1.X3StorageManager({joins,allowedAccessCodes})})],TestCustomer);
//# sourceMappingURL=test-customer.js.map