/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";var __decorate=this&&this.__decorate||function(e,t,r,o){var s,c=arguments.length,i=c<3?t:null===o?o=Object.getOwnPropertyDescriptor(t,r):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)i=Reflect.decorate(e,t,r,o);else for(var a=e.length-1;a>=0;a--)if(s=e[a])i=(c<3?s(i):c>3?s(t,r,i):s(t,r))||i;return c>3&&i&&Object.defineProperty(t,r,i),i};Object.defineProperty(exports,"__esModule",{value:true}),exports.TestPjmProject=void 0;const xtrem_core_1=require("@sage/xtrem-core"),lib_1=require("../../../lib"),test_currency_1=require("./test-currency"),test_miscellaneous_table_1=require("./test-miscellaneous-table"),test_pjm_project_dimension_1=require("./test-pjm-project-dimension"),test_project_1=require("./test-project"),test_site_1=require("./test-site"),joins={referenceJoins:{project:{id:"project"},overviewCurrency:{code:"overviewCurrency"},operatingSite:{code:"operatingSite"},source:{id:"source"},responsiblePerson:{employee:"responsiblePerson"},progressRange:{glossaryId:()=>385,code:"progressRange"}}};let TestPjmProject=class TestPjmProject extends xtrem_core_1.Node{};exports.TestPjmProject=TestPjmProject,__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"OPPNUM",isStored:true,isVitalParent:true,isPublished:true,columnType:"string",node:()=>test_project_1.TestProject})],TestPjmProject.prototype,"project",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"OPPINT",isStored:true,isPublished:true})],TestPjmProject.prototype,"isInternal",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"OPPFRT",isStored:true,isPublished:true})],TestPjmProject.prototype,"isProvisional",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"OPPDATTH",isStored:true,isPublished:true,isNullable:true})],TestPjmProject.prototype,"suspensionDate",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"OPPDATLV",isStored:true,isPublished:true,isNullable:true})],TestPjmProject.prototype,"deliveryDate",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"OPPDATLA",isStored:true,isPublished:true,isNullable:true})],TestPjmProject.prototype,"launchingDate",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"OPPDATS",isStored:true,isPublished:true,isNullable:true})],TestPjmProject.prototype,"closingDate",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"OPPPROACTIV",isStored:true,isPublished:true})],TestPjmProject.prototype,"isIndirectCostCalculated",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"CUROPP",isStored:true,isPublished:true,columnType:"string",node:()=>test_currency_1.TestCurrency})],TestPjmProject.prototype,"overviewCurrency",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"OPPIMPT",isStored:true,isPublished:true})],TestPjmProject.prototype,"isIntermediateLevelBudgetingAllowed",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"OPEDEFFCY",isStored:true,isPublished:true,columnType:"string",node:()=>test_site_1.TestSite})],TestPjmProject.prototype,"operatingSite",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"OPPMOD",isStored:true,isPublished:true})],TestPjmProject.prototype,"isTemplate",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"ORIOPP",isStored:true,isPublished:true,columnType:"string",node:()=>test_project_1.TestProject,isNullable:true})],TestPjmProject.prototype,"source",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"STRDAT",isStored:true,isPublished:true,isNullable:true})],TestPjmProject.prototype,"startDate",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"ENDDAT",isStored:true,isPublished:true,isNullable:true})],TestPjmProject.prototype,"endDate",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"DUEDAT",isStored:true,isPublished:true,isNullable:true})],TestPjmProject.prototype,"dueDate",void 0),__decorate([xtrem_core_1.decorators.integerProperty({columnName:"OPPDUR",isStored:true,isPublished:true,isNotZero:true})],TestPjmProject.prototype,"duration",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"EREVDAT",isStored:true,isPublished:true,isNullable:true})],TestPjmProject.prototype,"revenueEstimationDate",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({columnName:"PRCCPLADI",isStored:true,isPublished:true,isNullable:true,node:()=>test_miscellaneous_table_1.TestMiscellaneousTable,columnType:"string"})],TestPjmProject.prototype,"progressRange",void 0),__decorate([xtrem_core_1.decorators.dateProperty({columnName:"PRCCPLDAT",isStored:true,isPublished:true,isNullable:true})],TestPjmProject.prototype,"progressEstimationDate",void 0),__decorate([xtrem_core_1.decorators.collectionProperty({isPublished:true,isVital:true,reverseReference:"project",node:()=>test_pjm_project_dimension_1.TestPjmProjectDimension})],TestPjmProject.prototype,"dimensions",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({columnName:"TASBUDAUT",isStored:true,isPublished:true})],TestPjmProject.prototype,"isBudgetCreatedAutomatically",void 0),exports.TestPjmProject=TestPjmProject=__decorate([xtrem_core_1.decorators.node({tableName:"OPPORPJM",package:"xtrem-x3-project-management",storage:"external",isVitalCollectionChild:true,keyPropertyNames:["project"],externalStorageManager:new lib_1.X3StorageManager({joins}),indexes:[{orderBy:{project:1},isUnique:true,isNaturalKey:true}],isPublished:false})],TestPjmProject);
//# sourceMappingURL=test-pjm-project.js.map