/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";var __decorate=this&&this.__decorate||function(e,t,r,o){var a,d=arguments.length,s=d<3?t:null===o?o=Object.getOwnPropertyDescriptor(t,r):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,r,o);else for(var c=e.length-1;c>=0;c--)if(a=e[c])s=(d<3?a(s):d>3?a(t,r,s):a(t,r))||s;return d>3&&s&&Object.defineProperty(t,r,s),s};Object.defineProperty(exports,"__esModule",{value:true}),exports.TestProduct=void 0;const xtrem_core_1=require("@sage/xtrem-core"),x3_storage_manager_1=require("../../../lib/storage/x3-storage-manager"),data_types_1=require("../data-types/data-types"),webServices={create:{name:"CWSITM",type:"import",outputNames:["ITMREF"]},delete(){throw new Error(`No delete service for ${this.$.factory.name}`)}};let TestProduct=class TestProduct extends xtrem_core_1.Node{};exports.TestProduct=TestProduct,__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.codeDataType,isNotEmpty:true,isStored:true,isPublished:true,columnName:"ITMREF"})],TestProduct.prototype,"code",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.descriptionDataType,isNotEmpty:true,isStored:true,isPublished:true,columnName:"ITMDES1"})],TestProduct.prototype,"description1",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.descriptionDataType,isNotEmpty:true,isStored:true,isPublished:true,columnName:"ITMDES2"})],TestProduct.prototype,"description2",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.descriptionDataType,isStored:true,isPublished:true,columnName:"ITMDES3"})],TestProduct.prototype,"description3",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.localizedDescriptionDataType,isStored:true,isPublished:true,columnName:"DES1AXX"})],TestProduct.prototype,"localizedDescription1",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.localizedDescriptionDataType,isStored:true,isPublished:true,columnName:"DES2AXX"})],TestProduct.prototype,"localizedDescription2",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.localizedDescriptionDataType,isStored:true,isPublished:true,columnName:"DES3AXX"})],TestProduct.prototype,"localizedDescription3",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.codeDataType,isStored:true,isPublished:true,columnName:"EANCOD"})],TestProduct.prototype,"upc",void 0),__decorate([xtrem_core_1.decorators.integerProperty({isNullable:true,isStored:true,isPublished:true,columnName:"ITMSTA"})],TestProduct.prototype,"productStatus",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.codeDataType,isStored:true,isPublished:true,columnName:"STU"})],TestProduct.prototype,"stockUnit",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.codeDataType,isStored:true,isPublished:true,columnName:"WEU"})],TestProduct.prototype,"weightUnit",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.codeDataType,isStored:true,isPublished:true,columnName:"PUU"})],TestProduct.prototype,"purchaseUnit",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.codeDataType,isStored:true,isPublished:true,columnName:"VOU"})],TestProduct.prototype,"volumeUnit",void 0),__decorate([xtrem_core_1.decorators.stringProperty({dataType:()=>data_types_1.codeDataType,isStored:true,isPublished:true,columnName:"TCLCOD"})],TestProduct.prototype,"productCategory",void 0),__decorate([xtrem_core_1.decorators.stringProperty({columnName:"ACCCOD",isPublished:true,isStored:true,dataType:()=>data_types_1.codeDataType})],TestProduct.prototype,"accountingCode",void 0),__decorate([xtrem_core_1.decorators.stringProperty({columnName:"VACITM",isPublished:true,isStored:true,dataType:()=>data_types_1.codeDataType})],TestProduct.prototype,"taxLevel",void 0),__decorate([xtrem_core_1.decorators.decimalProperty({columnName:"ITMWEI",isPublished:true,isStored:true,dataType:()=>data_types_1.defaultDecimalDataType})],TestProduct.prototype,"productWeight",void 0),__decorate([xtrem_core_1.decorators.decimalProperty({columnName:"ITMVOU",isPublished:true,isStored:true,dataType:()=>data_types_1.defaultDecimalDataType})],TestProduct.prototype,"productVolume",void 0),__decorate([xtrem_core_1.decorators.integerProperty({isNullable:true,isStored:true,isPublished:true,columnName:"LOTMGTCOD"})],TestProduct.prototype,"lotManagementMode",void 0),exports.TestProduct=TestProduct=__decorate([xtrem_core_1.decorators.node({storage:"external",tableName:"ITMMASTER",keyPropertyNames:["code"],externalStorageManager:new x3_storage_manager_1.X3StorageManager({webServices}),isPublished:true,canCreate:true,canRead:true,canUpdate:true,canDelete:true,canDeleteMany:true,canSearch:true,authorizationCode:"GESITM",indexes:[{orderBy:{code:1},isUnique:true,isNaturalKey:true}]})],TestProduct);
//# sourceMappingURL=test-product.js.map