/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";var Document_1,__decorate=this&&this.__decorate||function(e,t,r,o){var s,n=arguments.length,a=n<3?t:null===o?o=Object.getOwnPropertyDescriptor(t,r):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(e,t,r,o);else for(var d=e.length-1;d>=0;d--)if(s=e[d])a=(n<3?s(a):n>3?s(t,r,a):s(t,r))||a;return n>3&&a&&Object.defineProperty(t,r,a),a};Object.defineProperty(exports,"__esModule",{value:true}),exports.Document=void 0;const xtrem_core_1=require("@sage/xtrem-core"),testApp=require("../../index"),_index_1=require("../enums/_index"),address_1=require("./address");let Document=Document_1=class Document extends xtrem_core_1.Node{static customQuery(e,t){return e.tryRead(Document_1,{id:t})}static customMutation(e,t,r,o){return`${t}:${r}:${o}`}static mutationWithReferences(e,t,r,o,s){return{mandatoryReference:t,mandatoryNullableReference:r,optionalReference:o,optionalNullableReference:s}}static queryWithComplexOutput(e,t,r){return{object:t,optionalObjects:r}}};exports.Document=Document,__decorate([xtrem_core_1.decorators.stringProperty({isPublished:true,isStored:true,dataType:()=>new xtrem_core_1.StringDataType({maxLength:10})})],Document.prototype,"id",void 0),__decorate([xtrem_core_1.decorators.enumProperty({isPublished:true,isStored:true,dataType:()=>_index_1.statusDataType})],Document.prototype,"status",void 0),__decorate([xtrem_core_1.decorators.enumArrayProperty({isPublished:true,isStored:true,dataType:()=>_index_1.statusDataType})],Document.prototype,"statusList",void 0),__decorate([xtrem_core_1.decorators.integerArrayProperty({isPublished:true,isStored:true})],Document.prototype,"numberList",void 0),__decorate([xtrem_core_1.decorators.stringArrayProperty({isPublished:true,isStored:true,dataType:()=>new xtrem_core_1.StringArrayDataType({maxLength:10})})],Document.prototype,"stringList",void 0),__decorate([xtrem_core_1.decorators.decimalProperty({isPublished:true,isStored:true,dataType:()=>new xtrem_core_1.DecimalDataType({precision:10,scale:3})})],Document.prototype,"amount",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({isPublished:true,isVital:true,node:()=>testApp.nodes.Address,reverseReference:"document"})],Document.prototype,"address",void 0),__decorate([xtrem_core_1.decorators.referenceArrayProperty({isPublished:true,isStored:true,onDelete:"restrict",node:()=>testApp.nodes.Address})],Document.prototype,"addresses",void 0),__decorate([xtrem_core_1.decorators.collectionProperty({isPublished:true,isVital:true,node:()=>testApp.nodes.DocumentLine,reverseReference:"document"})],Document.prototype,"lines",void 0),__decorate([xtrem_core_1.decorators.stringProperty({isPublished:true,isTransientInput:true,dataType:()=>new xtrem_core_1.StringDataType({maxLength:10})})],Document.prototype,"transient",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({isPublished:true,isTransientInput:true,node:()=>testApp.nodes.Address})],Document.prototype,"transientRef",void 0),__decorate([xtrem_core_1.decorators.collectionProperty({isPublished:true,node:()=>testApp.nodes.DocumentLine,reverseReference:"document",orderBy:{lineNumber:1},isTransientInput:true})],Document.prototype,"transientLines",void 0),__decorate([xtrem_core_1.decorators.jsonProperty({isPublished:true,isStored:true})],Document.prototype,"json",void 0),__decorate([xtrem_core_1.decorators.stringProperty({isPublished:true,isStoredOutput:true,updatedValue:()=>"StoredTest",dataType:()=>new xtrem_core_1.StringDataType({maxLength:10})})],Document.prototype,"isStoredOutput",void 0),__decorate([xtrem_core_1.decorators.query({isPublished:true,parameters:[{name:"id",type:"string",isMandatory:true}],return:{type:"instance",node:()=>testApp.nodes.Document}})],Document,"customQuery",null),__decorate([xtrem_core_1.decorators.mutation({isPublished:true,parameters:[{name:"id",type:"string",isMandatory:true},{name:"stringVal",type:"string",isNullable:true},{name:"intVal",type:"integer"}],return:"string"})],Document,"customMutation",null),__decorate([xtrem_core_1.decorators.mutation({isPublished:true,parameters:[{name:"mandatoryReference",type:"reference",node:()=>address_1.Address,isMandatory:true},{name:"mandatoryNullableReference",type:"reference",node:()=>address_1.Address,isMandatory:true,isNullable:true},{name:"optionalReference",type:"reference",node:()=>address_1.Address},{name:"optionalNullableReference",type:"reference",node:()=>address_1.Address,isNullable:true}],return:{type:"object",properties:{mandatoryReference:{type:"reference",node:()=>address_1.Address,isMandatory:true},mandatoryNullableReference:{type:"reference",node:()=>address_1.Address,isMandatory:true,isNullable:true},optionalReference:{type:"reference",node:()=>address_1.Address},optionalNullableReference:{type:"reference",node:()=>address_1.Address,isNullable:true}}}})],Document,"mutationWithReferences",null),__decorate([xtrem_core_1.decorators.query({isPublished:true,parameters:[{name:"object",type:"object",isMandatory:true,properties:{simple:"boolean",mandatory:{type:"string",isMandatory:true},nullable:{type:"string",isNullable:true}}},{name:"optionalObjects",type:"array",item:{type:"object",properties:{nestedStrings:{type:"array",item:"string"},flag:"boolean"}}}],return:{type:"object",properties:{object:{type:"object",isMandatory:true,properties:{simple:"boolean",mandatory:{type:"string",isMandatory:true},nullable:{type:"string",isNullable:true}}},optionalObjects:{type:"array",item:{type:"object",properties:{nestedStrings:{type:"array",item:"string"},flag:"boolean"}}}}}})],Document,"queryWithComplexOutput",null),exports.Document=Document=Document_1=__decorate([xtrem_core_1.decorators.node({isPublished:true,isAbstract:true,storage:"sql",canRead:true,canCreate:true,canUpdate:true,canDelete:true,indexes:[{orderBy:{id:1},isUnique:true}]})],Document);
//# sourceMappingURL=document.js.map